cdrkit (1.1.11) RELEASED; urgency=low

  [ Steve McIntyre ]
  * genisoimage: Fix silly bug in MD5 output in template files. (Debian
    bug #596681)
  * genisoimage: Minor tweaks to the the genisoimage.1 man page.
  * genisoimage: Update references to atterer.org (Debian bug #596860)
  * genisoimage.1: Make the description of the md5-list format clearer.

  [ Mike Paul ]
  * genisoimage: Use memmove() instead of strcpy() when cleaning
    up graft points.

 -- Steve McIntyre <93sam@debian.org>  Fri, 23 Apr 2010 00:30:18 +0100

cdrkit (1.1.10) RELEASED; urgency=low

  [ Steve McIntyre ]
  * genisoimage: add support for sha256 and sha512 checksum generation
    when making jigdo files.
  * genisoimage: checksumming with lots of algorithms can be very
    time-consuming, so split it out into multiple threads if possible.
  * genisoimage: allow user to specify which checksum algorithms to run
    on the command line.
  * Fix FTBFS with missing xconfig.h. Thanks to Matt Kraai for the patch.

  [ Nikola Pajkovsky ]
  * genisoimage: fix string overflow breakage when using the -root
    option (https://bugzilla.redhat.com/show_bug.cgi?id=508449)

  [ Peter Samuelson ]
  * librols: remove or rename several functions that clash with POSIX.
    Fix up callers.

 -- Steve McIntyre <93sam@debian.org>  Thu, 14 May 2009 00:28:48 +0100

cdrkit (1.1.9) RELEASED; urgency=low

  [ Steve McIntyre ]
  * wodim: In -msinfo mode, only suggest dvd+rw-mediainfo in verbose mode.
    Thanks to Michael Karcher <debian@mkarcher.dialup.fu-berlin.de> for the
    patch.
  * genisoimage: undo a mistake in the directory permissions change in
    the last release. Fixes handling of deep directory structures.

 -- Steve McIntyre <93sam@debian.org>  Sun, 26 Oct 2008 15:43:54 -0700

cdrkit (1.1.8) RELEASED; urgency=low

  [ Steve McIntyre ]
  * genisoimage/joliet.c: Fix a potential memory corruption bug.
  * genisoimage/md5.c: Trivial cleanup
  * genisoimage/genisoimage.[c1]: Add command-line support for
    -jigdo-template-compress
  * genisoimage/sha1.h: Fix a type issue that broke sha1 support
    on 64-bit arches.
  * genisoimage/checksum.[ch]: Added test code; changed internal
    layout slightly to make for easier debug.
  * genisoimage: Applied patch from Roman Rakus <rrakus@redhat.com> to
    preserve directory permissions.
  * genisoimage: Add a patch from Ivan Shmakov. "-o -" will now write
    to stdout, as typical for command line programs. And we will try
    not to corrupt stdout by default if it's a terminal.
  * genisoimage/genisoimage.1: Add a mention of -chrp-boot.
  * genisoimage/mac_label.c: Fix an over-keen s/mkisofs/genisoimage.

 -- Steve McIntyre <93sam@debian.org>  Mon, 25 May 2008 21:22:26 +0100

cdrkit (1.1.7.1) RELEASED; urgency=low

  [ Steve McIntyre ]
  * Re-spin the 1.1.7 release with a few silly release process errors fixed.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Mar 2008 21:25:56 +0000

cdrkit (1.1.7) RELEASED; urgency=low

  [ Harald Hoyer ]
  * lots of fixes to prevent gcc warnings
  * Fix for Joliet directory length bug in genisoimage
	
  [ Peter Samuelson ]
  * wodim.1: small fixes.

  [ Steve McIntyre ]
  * genisoimage/jte.c: add support for bzip2-compressed templates
  * genisoimage/jte.c: fix bzip2-compressed template data to be
    compatible with jigdo.
  * genisoimage/jte.c: fix exclude list handling.
  * genisoimage/checksum.[ch]: Add a generic infrastructure for
    checksums so we can use sha1/<whatever> as well as just
    md5sum. Will make things much faster for generating sha1sums for
    images and jigdos.
  * genisoimage/sha1.[ch]: Add GPL-licensed SHA1 implementation.
  * s/mkisofs/genisoimage/ in ABOUT

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Mar 2008 20:07:58 +0000

cdrkit (1.1.6) RELEASED; urgency=low

  [ Vladimir Nadvornik ]
  * genisoimage/eltorito.c: care about inhibit flags when preparing eltorito
    boot catalog directory entry, avoiding possible crashes

  [ Eduard Bloch]
  * ALL: customize the base manpage subdirectory below PREFIX using the new
    MANSUBDIR variable
  * make sure that the buffer is flushed and drive is ready before closing
    session
  * icedax: find libossaudio on OpenBSD and use it
  * icedax: fixed bug with --devices (unnoticed segfault due to wrong
    list_devices arguments)
  * wodim/scsi_scan.h: moved Linux-specific recorder location guesser to an
    extra method for automatic drive opening, and added an alternative
    guessing method, using list_devices(...) picking up the first drive having
    appropriate device type in the inquiry info. This generic method is also
    used on Linux when the original guesser fails.
  * wodim/wodim.c: count all track sizes when looking for an appropriate drive

 -- Eduard Bloch <blade@debian.org>  Sun, 06 May 2007 16:39:08 +0200

cdrkit (1.1.5.1) RELEASED; urgency=low

  * resync with cosmetical last-minute changes from Peter Samuelson
  * Makefile: "release" target extension to make the Debian related source
    file creation more convinient

 -- Eduard Bloch <blade@debian.org>  Sat, 21 Apr 2007 11:30:35 +0200

cdrkit (1.1.5) RELEASED; urgency=low

  * wodim: explicite warning and more grace time if user manually specifies a size
    less than 301 sectors, which is likely to be a mistake from copy-pasting
    of genisoimage -print-size output and omitting the block factor
  * wodim: Native device name management directly in libusal now, the
    rewritten device scan method uses it directly. If the backend driver does
    not implement native names handling, the old-style IDs are displayed.
  * libusal: native device name management, implemented on Linux and
    Win32(SPT) for now
  * libusal: ATA is now mapped directly into the b/t/l namespace, with some
    workarounds to provide backward compatibility
  * libusal: For SCSI devices, use only scd* on kernel 2.6 and sg* on kernel
    2.4 until proper locking scheme is established
  * libusal: always return a known value in usal_sense_table(...), from a
    patch from SUSE (cdrkit-dvd-fix.patch)
  * genisoimage: customized the default APPID string in genisoimage
  * genisoimage: restored support for iso9660 file sizes up to 4GB-1
  * genisoimage: forced MAGIC_ERROR definition for older version, thanks 
    to Thomas Schmidt
  * genisoimage: avoid pointless warnings on filetype of <root directory>/..

 -- Eduard Bloch <blade@debian.org>  Sat, 21 Apr 2007 10:17:35 +0200

cdrkit (1.1.4) RELEASED; urgency=low

  [ Eduard Bloch ]
  * On Linux, do device scanning on /dev/sr first and fallback to /dev/sg and
    others only then, thus having better chances to use the same exclusive
    lock as other programs when the user provided only the b/t/l
    device specification, since the Linux kernel is not able to coordinate the
    locking between the userspace interfaces
  * some refactoring, moved new Linux specific extensions to scsi-linux-sg.c,
    more relaxed device opening checks on scanning
  * some more warnings about b/t/l syntax deprecation

 -- Eduard Bloch <blade@debian.org>  Sun, 01 Apr 2007 21:49:03 +0200

cdrkit (1.1.3) RELEASED; urgency=medium

  [ Eduard Bloch ]
  * Fixed fishing for transfer size in sysfs, now ready for
    /dev/class/scsi_generic contents
  * Fixed /dev/sg%d pattern scan in --devices, now iterating over modern style
    device files. Thanks to Thomas Schmidt.
  * Dealing with the last newline char when processing
    /proc/sys/dev/cdrom/info contents
  * print the track size in the info message when guessing
  * added some missing or probably missing definitions in
    wodim/CMakeLists.txt, restoring the reading from inf files
  * passing through the real file size to the UDF generator. Creating
    incorrect iso9660 but having it this way is better than no LFS at all.
  * removed md5* parts and integration from icedax, patch by
    Vladimir Nadvornik <nadvornik@suse.cz>
  * various small bugfixes or cosmetic fixes picked from still GPLed parts of
    cdrtools-2.01.01a24, excluding meta changes and big tree.c and mkisofs.c
    refactoring. Stream file name option enabled now.
  * wodim.1: "you have 4 seconds to abort ..."
  * defaults.c: Correct fallback to CDR_FIFOSIZE and correct error message
    on bad input.
  * tell the user his device is busy on Linux because it's mounted, after
    looking at /proc/mounts

  [ Peter Samuelson ]
  * Clean up Linux-2.6 CD/DVD-R drive detection, clearer error messages.

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Mar 2007 17:35:10 +0200

cdrkit (1.1.2) RELEASED; urgency=low

  [ Stefan Huehner ]
  * more Cstyle cleanups

  [ Eduard Bloch ]
  * stop confusion and bailing out if burnfree/burnproof options have been
    explicitely specified
  * be move carefull with -dummy when the DVD media may not support it
  * extracting drive's default speed in attach_mdvd()
  * automatic recorder device guessing code, currently Linux-only

  [ Peter Samuelson ]
  * Fix icedax cddb query, based on a patch from Heiko Schlenker

 -- Eduard Bloch <blade@debian.org>  Sat, 13 Jan 2007 00:45:38 +0100

cdrkit (1.1.1) RELEASED; urgency=low

  * added geteltorito script from Rainer Krienke

  [ Eduard Bloch ]
  * more verbose abort message if track is specified with some maintainance
    command (#369677)
  * Added more DVD related fixes from SuSE's wodim-1.0pre5cvs-6.src.rpm
  * --devices option for wodim (modeled after cdrskin's output), working on
    Linux and Cygwin
  * Open-By-Device-Letter mode on Cygwin
  * -msifile=... option to store -msinfo output reliably in a dedicated file
  * clear profile names printing (using code from libburnia, thanks to Thomas
    Schmidt)
  * cleanup with unused embedded CVS revision strings from Schilling and
    more gcc -Wall correctness
  * reenabled -format functionality (bug in program function control flow)
  * get maximum DMA buffer size from sysfs on Linux, where possible
  * enable BURN-Free by default where possible
  * setting argv[0] to wodim if someone is cheating and calls it as cdrecord.
    Avoids confusion and printing of the wrong app name in the help output.
  * more documentation updates WRT cdda2wav->icedax renaming, more table
    formating fixes in icedax.1
  * genisoimage documentation updates, mkisofs name changes

  [ Thomas Schmidt ]
  * workaround for older libmagic API
  * code for clear profile name mapping

  [ Peter Samuelson ]
  * expand where genisoimage looks for the config file - same places
    mkisofs looks plus a few more.  (We may wish to trim this back some.)
  * major cleanups to genisoimage.1 manpage; split out the part about
    .genisoimagerc to a new page genisoimagerc.5.

  [ Steve Langasek ]
  * allow hppa and alpha boot code to coexist in one ISO image

  [ Arkadiusz Miskiewicz ]
  * Fake prefix line in the version output of readom to keep compatibility
    with frontends

 -- Eduard Bloch <blade@debian.org>  Sat, 30 Dec 2006 16:45:40 +0100

cdrkit (1.1.0) RELEASED; urgency=medium

  [ Eduard Bloch ]
  * replacement of libdeflt, config parser rewrite; more user-friendly,
    more flexible/tolerant now
  * config overhaul, much more dynamic checks, including fixes for SunOS and
    AIX environment, including proper libiconv detection, and processing of
    LDFLAGS provided by user. Also fixed confusing double-checks for some of
    the variables in cdda2wav.c.
  * mass renaming of applications and libraries, see FAQ
  * dirsplit -S fix, oversized have been possible before
  * consistent version display
  * cleanup of libschily, removed unused/superfluous parts (assumed having a
    modern POSIX compliant environment). Renamed to librols
    (RemainsOfLibSchily).
  * reenabled selection of the DVD driver, accidentaly disabled in 1.0, when
    beeing in non-verbose mode
  * made dirsplit work with file symlinks
  * incorporated some OpenSUSE patches:
    + cdrkit-HZ.patch (with initialized value, *sic*)
    + cdrkit-dvd-fix.patch (return code tracking)
    + cdrkit-gcc-workaround.patch
    + cdrkit-mkisofs-fail-on-large-file.patch (don't just skip them)
    + cdrkit-mkisofs-grow-check.patch (tolerate grown files)
    + cdrkit-perms.patch (not breaking on missing device files)

  [ Christian Fromme ]
  * big cleanup, phase I, getting rid from Cstyle function definitions in
    applications

  [ Lorenz Minder ]
  * user output junk filter in icedax/toc.c
  * flexible ascii conversion buffer

 -- Eduard Bloch <blade@debian.org>  Sat, 02 Dec 2006 18:43:14 +0100

cdrkit (1.0) RELEASED; urgency=low

  [ Eduard Bloch ]
  * mapping of ATAPI: -> ATA: method on linux-2.6 and some code beautification
  * added a atexit handler to stop the FIFO process more reliably, since
    Schilling's constructs seem to terminate the application on too many
    places
  * print Burnfree state/preparation messages only with high verbosity

  [ Dennis Vshivkov ]
  * sorted display of files when needed

  [ Joerg Jaspert]
  * Remove all the printing of useless messages. This is based on GPLed
    code, so we follow the letter of the GPL as it is interpreted by 99%
    of the world, including its authors. Especially as Joerg was never able
    to give us any clear explanation what other license he may think
    cdrtools had, despite us asking multiple times. So we have no other
    choice than to take whats written down, and thats GPL.

 -- Joerg Jaspert <joerg@debian.org>  Mon, 20 Nov 2006 19:25:10 +0100

cdrkit (1.0pre5) RELEASED; urgency=low

  [ Eduard Bloch ]
  * added better check for capability.h and FATAL_ERROR if it's missing on Linux
  * wodim.1 updates, ie. moved suid howto to README.suidroot, Linux bashing to
    README.linux, more notes about non-root usage
  * more carefull description of the role of previous developer and his own
    project
  * fixed libmagic detection
  * rewrote README.mkisofs, README.win32
  * better track numbers extraction command in cdda2ogg/cdda2mp3
  * reenabled (forgotten) support for libedc
  * table formating fixes in cdda2wav.1, helps small terminals
  * AIX 5l port
  * killing FIFO process on ungraceful termination
  * scsi-linux-sg.c: skipping unallowed devices, cleanup/consolidation of the
    old workaround(s) for ATA now for SCSI too
  * renamed error function to schily_error because it started to wreak random
    havoc after harmless header moving (conflict with incompatible GNU version)
  * restored scsi-remote.c compilation, moved to libscg sources, used instead
    of rdummy.c
  * added optional omiting of DMA speed tests

  [ Vladimir Nadvornik ]
  * enabled CLONE feature in wodim's config

  [ Modestas Vainius ]
  * dropped . from the include path and fixed mkisofs source to use the local
    headers

  [ Lorenz Minder ]
  * Fix of the joliet_strlen signature
  * Code refactoring around *cvt* declarations to make the conditional
    compilation more reliable, especially on BSD and AIX
  * include/utypes.h: guard to preserve SIZE_T_MAX

  [ Christian Fromme ]
  * detailed review and correction of author related data in manpages and
    README files

  [ Peter Samuelson, Tollef Fog Heen ]
  * typo and grammar fixes in mkisofs.8
  * Remove several instances of %r in printf-like statements, in
    preparation for removing the libschily format-string implementation

 -- Eduard Bloch <blade@debian.org>  Wed,  6 Sep 2006 22:05:30 +0200

cdrkit (1.0pre4) RELEASED; urgency=low

  [ Eduard Bloch ]
  * Added checks for libcam to make (k)FreeBSD compilation work (untested)
  * added clarifications about changes to all source files
  * adapted initial message to display the copyright more clearly
  * adapted copyright and contact information in scgcheck manpage
  * adapted contact information in btcflash manpage, also added a reference to
    its original author which has been missing

  [ Peter Samuelson ]
  * Cleanups: unused macros/defines
  * Unified and simplified the build-host data crawling methods
  
  [ Juergen Weigert ]
  * Various documentation corrections, replaced cdrecord->wodim where it is
    appropriate and legal on many visible locations

 -- Eduard Bloch <blade@debian.org>  Mon,  4 Sep 2006 23:36:58 +0200

cdrkit (1.0pre3) unstable; urgency=low

  [ Eduard Bloch ]
  * Added FAQ ("where wodim name comes from")
  * Moved the NULL pointer check on cdr_t to a place before it is used for DVD
    feature checks (otherwise it would crash when run on any pure CD-ROM
    reader)
  * Added test for WORDS_BIGENDIAN
  * copied values from align.h to another set of sizeof-reflecting defines in
    xconfig.h
  * workarounds for almost all "you are not allowed to modify that {version
    checking,quality assurance,other-important-looking-wording}" parts,
    replacing the output of "schily" where the commend said that we are forced
    to. One part in cdrecord.c still remains, the comment sounds too dangerous
    to be touched.
  * forced FIFO define, suggested by Peter

  [ Peter Samuelson ]
  * Created cmake test and code snippet for HAVE_C_BITFIELDS

  [ Michael Ablassmeier ]
  * Typo fixes in mkisofs messages and unified identical ones with a macro

  [Joerg Jaspert]
  * Released as 1.0pre3

 -- Eduard Bloch <blade@debian.org>  Mon,  4 Sep 2006 09:56:38 +0200

cdrkit (1.0pre2) RELEASED; urgency=low

  * Took zisofs_tools out of the global build system and restored its original
    Makefile. Its own build system works better.

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Sep 2006 22:14:31 +0200

cdrkit (1.0pre1) RELEASED; urgency=low

  [ See http://bugs.debian.org/$BUGNR for detailed explanations ]
  * The Big Fork to an independent project called cdrkit
    + using the last clearly stated GPLed versions of files from
      cdrtools-2.01.01a08 (closes: #353403, 372486)
    + we play the upstream role now, using our patches and we like them
      (closes: #361450)
    + renamed relevant works to avoid claims of "potential defamation" or
      "damage of reputation" (closes: #350738)
    + custom CMake based build system used instead of the original one, since
      we understand it better (closes: #350739 and hopefully closes: #350254,
      reopen if not). It seems to be portable among the platforms
      supported by Debian, it needs a bit of work for porting to non-Linux
      plattforms, though.
  * removed most of the anti-linux2.6  program messages (unless being
    in verbose mode). (closes: #377145)
  * changed default config file location to /etc/wodim.conf
  * added more meaningful error message on -dvd-video failure (closes: #324586)
  * minor cdda2mp3/cdda2ogg scripts fixes suggested by Fabian Pietsch, plus
    fixes for unreliable encoder detection (closes: #283794, #344443) plus
    possible override of preset CDDA_DEVICE variable fixed. Made the list of
    selected audiotracks modifiable, see manpage (closes: #344445)
  * sync with 4:2.01+01a01-4ubuntu4:
    + merged README.ATAPI.setup with README.ATAPI.setup.ubuntu. Kernel 2.6 part
      now in the beginning and reflecting the reality (dev=/dev/drive syntax,
      no SUID requirement, closes: #304230, 377736)
    + 02_cdrecord_default_conf.dpatch: changed /dev/cdrom to /dev/cdrw which
      is more likely to match the correct device on udev using systems
  * 36_ATA_scanbus_ignore_locked.dpatch to ignore busy devices (eg. hda
    harddisk) while scanning with dev=ATA 
    (closes: #310689, #309250, #317793, 360295, 
  * Included 37_clean_dvdsup.dpatch (closes: #312062) based on
    cdrtools-2.01.01a04-dvd.patch.bz2 from
    http://people.mandriva.com/~warly/files/cdrtools/ with few updates to work
    with a08. Also implements a fallback to ATA: bus in the -scanbus operation
    (closes: #310689, #278894). This patch is used instead of the old 07_....
    Enabled permanently, disabled the "cheatcode processing" in debian/rules.
    Also eliminates some useability problems that have been pushed to our
    users (closes: #325766, #271114, #312062, #353176).
  * Updated dirsplit to version 0.3.3, zisofs-tools to 1.0.7 (with a custom
    CMakeFile.txt for easier integration and config.h updated manually for
    now)
  * minor cdda2mp3/cdda2ogg scripts fixes suggested by Fabian Pietsch, plus
    fixes for unreliable encoder detection (closes: #283794, #344443) plus
    possible override of preset CDDA_DEVICE variable fixed
  * added additional script manpages from Oleksandr Moskalenko (closes: #295438)
  * changed -speed to speed= in cdrecord.1 for consistency (closes: #344214)
  * Anti-Root-Requirements:
    + 39_nonroot_skips_rezero_unit.dpatch - don't run rezero_unit() as root
    which is a) most likely not needed (even admited in the comment) and b)
    causes the whole scsi transport system to terminate
    + 40_stop_setuid_games.dpatch - another workaround for problems introduced
    in a03 - looks like Linux kernel does reject an application trying to
    change the UID between ioctls
    (closes: #335253, 374685, 330506, 329308, 374345, 377421)
  * Ubuntu's 40_fix_bad_spelling.dpatch integrated (typo in wodim.dfl)
  * increased hash size in mkisofs/hash.c (closes: #327270)
  * more decent info message about locale detection

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Sep 2006 22:14:31 +0200

cdrkit (2.01.01a08+X.15) UNRELEASED; urgency=low

  * Removed cdrtools-2.01.01a05-ossdvd.patch.bz2 again (threw bogus error
    messages in TAO mode), used 37_clean_dvdsup.dpatch (from Warly/Mandriva)
    instead

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 15:03:46 +0200

cdrkit (2.01.01a08+X.15) UNRELEASED; urgency=low

  * Applied cdrtools-2.01.01a05-ossdvd.patch.bz2 slightly adapted to work with
    a08.

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 15:03:46 +0200

cdrkit (2.01.01a08+X.14) UNRELEASED; urgency=low

  * 39_nonroot_skips_rezero_unit (don't try to run rezero_unit when not beeing
    root)
  * 40_stop_setuid_games (dont't try to cheat the kernel with delayed seteuid)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 14:44:53 +0200

cdrkit (2.01.01a08+X.13) UNRELEASED; urgency=low

  * 34_JTE (Jigdo Template Extraction, by Steve)
  * 36_ATA_scanbus_ignore_locked (skip busy devices when scaning, by myself)
  * 38_script_manpages: added as readmult.1 and pitchplay.1, currently no
    list_audio_tracks script there so moved to scrips/

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 14:35:30 +0200

cdrkit (2.01.01a08+X.12) UNRELEASED; urgency=low

  * 31_gnu-kfreebsd.dpatch with minor adoptions (needs testing!)
  * 33_extra_arch_boot_support (extra arches, by Steve)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 14:29:32 +0200

cdrkit (2.01.01a08+X.11) UNRELEASED; urgency=low

  * 26_author_locale (ASCII transliteration of Jörg in the standard credits
    message)
  * 28_cdda2wav_interface (Linux friendly cdda2wav behaviour)
  * 30_doc_typo_fixes (various documentation/message fixes)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 14:23:03 +0200

cdrkit (2.01.01a08+X.10) UNRELEASED; urgency=low

  * Applied 23_o_excl (exclusive device opening)
  * Applied 24_debug_tmpfile (more safe/secure log file location)
  * 25_mkisofs_iconv_manpage (hints about extra charsets)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 14:20:05 +0200

cdrkit (2.01.01a08+X.09) UNRELEASED; urgency=low

  * Applied 18_donotopen_hda.dpatch - don't insist on opening unrelated IDE
    devices
  * 20_rsh-bugfix.dpatch - make really sure that the program does seteuid
    right or exit
  * 22_linux_rawio_capability.dpatch: get Linux capabilities as needed

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 14:11:47 +0200

cdrkit (2.01.01a08+X.08) UNRELEASED; urgency=low

  * mkisofs iconv support with log message adapted, added to CMake build
    system as appropriate

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 13:57:10 +0200

cdrkit (2.01.01a08+X.07) UNRELEASED; urgency=low

  * Applied patches: 07_noadvertising (strip adds for commercial
    cdrecord-proDVD), 08_privacy (mkisofs revealing the exact command line)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 13:54:54 +0200

cdrkit (2.01.01a08+X.06) UNRELEASED; urgency=low

  * Applied 06_dautipps - better hints about ATAPI usage howto and
    -joliet-long workaround

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 13:52:50 +0200

cdrkit (2.01.01a08+X.05) UNRELEASED; urgency=low

  * Bits from 03_script.dpatch by Joerg Jaspert <joerg@debian.org> and Eduard
    Bloch: Linux-friendly device location for cdda scripts and better encoder
    selection

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 13:49:56 +0200

cdrkit (2.01.01a08+X.04) UNRELEASED; urgency=low

  * Added bits from 02_paths.dpatch by Joerg Jaspert <joerg@debian.org>:
    /var/log directory location and SILO relevant paths

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 13:46:55 +0200

cdrkit (2.01.01a08+X.03) UNRELEASED; urgency=low

  * adapted cdrecord/cdrecord.dfl for modern Linux system, based on bits from
    02_cdrecord_default_conf.dpatch by Zack Cerza <zcerza@coe.neu.edu>

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 13:43:15 +0200

cdrkit (2.01.01a08+X.02) UNRELEASED; urgency=low

  * Converted to use a CMake based filesystem. Generating relevant things with
    its mechanisms instead of inc/*. Dropped BUILD, INSTALL files, rewrote
    COMPILE fall to reflect the new build method.
  * Added GNUmakefile which has rules to bootstrap the CMake build system and
    then pass the actuall call to it. GNUmakefile is the prefered script used
    by gmake. Users with other make implementations should run cmake manually.

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Aug 2006 13:35:23 +0200

cdrkit (2.01.01a08+X.01) UNRELEASED; urgency=low

  * moved documentation around, READMEs/ directory contains a structure, moved
    mkisofs docs from the source directory to it

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Aug 2006 12:40:05 +0200


***** Version 2.01 ********

Wed Sep  8 20:26:34 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.297
	* readcd.c 1.74
	* cdrecord.c 1.296
	  Version -> 2.01

Sat Sep  4 22:28:05 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsidefs.h 1.28
	* scsisense.h 2.18
	* scsicdb.h 2.19
	* scsireg.h 1.31
	* scgcmd.h 2.22
	  Cstyle

Wed Aug 25 13:28:57 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.295
	  Warnung fuer Linux-2.6.8.1 neu

Tue Aug 24 01:11:42 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.16
	  Auch die euid auf pw->pw_uid setzen bevor exec(RSH gemacht wird

Thu Aug 19 12:14:09 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.294
	  Version -> 2.01a38

Thu Aug 19 12:08:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.293
	  linuxcheck() im %I% verbessert ;-)

Mon Aug 16 16:42:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.292
	  Version -> 2.01a37
	  SuSE Kommentar erweitert.

Sun Aug  8 23:04:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_mmc.c 1.10
	  struct features & struct profiles -> LOCAL

Thu Aug  5 10:26:18 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.291
	  Kommentar vor linuxcheck() erweitert

Wed Aug  4 02:30:51 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.290
	  Version -> 2.01a36
	  max_dma ist nun 4/5 der DMA Speed statt 1/2
	  Warnung wegen Linux-2.6 eingebaut
	  Warnung wegen SuSE Linux eingebaut

Sat Jul 31 17:41:06 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.289
	  Version -> 2.01a35
	  Check auf dma_speed > 0, dma_speed Test nur wenn tracks > 0

Mon Jul 19 11:10:00 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.45
	  SPTI nicht bei NT-4.0 als Default

Sun Jul 18 01:26:08 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.288
	  Version -> 2.01a34
	  Mehr Tests auf Korektheit der Werte (sinnvoller Bereich in get_dmaspeed())
	  dma_speed nur dann auswerten wenn > 0

Sun Jul 11 02:28:23 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.103
	  CDR_FORCESPEED domumentiert

Sun Jul 11 01:57:27 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* skel.c 1.3
	* readcd.c 1.73
	* xio.c 1.11
	  -> NEED_O_BINARY

Sun Jul 11 01:32:49 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.72
	* skel.c 1.2
	  MINGW32 neu

Sun Jul 11 01:30:12 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xio.c 1.10
	  setmode() auch bei MINGW32

Fri Jul  9 00:05:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.287
	  Version -> 2.01a33
	  get_dmaspeed() neu
	  kein nice() bei __DJGPP__

Fri Jun 18 17:46:20 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.44
	  if (isdigit(vers) -> if (isdigit(vers[0]) (bug korrigiert

Fri Jun 18 01:17:54 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvdplus.c 1.15
	* drv_dvd.c 1.118
	  long  dvd_next_addr -> LOCAL long  dvd_next_addr

Thu Jun 17 23:20:27 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsierrs.c 2.29
	* scsitransp.c 1.91
	  Bitfeld Typen fuer printf() auf int casten wegen IRIX cc

Thu Jun 17 11:24:48 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.71
	  Verbose Ausgabe fuer Fehlerkorrekturen nochmals angepasst

Sun Jun 13 16:28:28 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.70
	  maxtry neu

Sun Jun 13 16:00:20 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.69
	  Ausgabe der maximale Anzahl der Retries

Sat Jun 12 15:14:49 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvdplus.c 1.14
	* drv_dvd.c 1.117
	  RAW & TAO Schreibmodi nach check_writemodes() loeschen damit niemand cdrecord -raw fuer DVDs aufruft

Sat Jun 12 13:48:12 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-ata.c 1.7
	  Warntext geaendert

Fri Jun 11 16:49:15 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.68
	  Version -> 2.01a32
	  -scanbus funktioniert nun auch wenn dev= nicht angegeben und /etc/default/cdrecord vorhanden
	  Auflistung der defekten Sektoren in allozierter Liste

Thu Jun 10 10:58:19 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.102
	  Schreibfehler

Wed Jun  2 22:54:33 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.101
	  -clone dokumentiert

Tue May 25 17:33:15 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.67
	  Vsersion -> 2.01a31

Tue May 25 17:32:29 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.66
	  -scanbus neu

Tue May 25 01:36:00 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.161
	* scsi_cdr.c 1.137
	* drv_mmc.c 1.157
	  write_buffer() neu und write_buffer() in drv_mmc.c -> yamaha_write_buffer()

Thu May 20 16:42:12 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.83
	  Kommentar gegen die Debian patches fuer /dev/hd*

Thu May 20 16:24:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-ata.c 1.6
	  Bis zu 25 /dev/hd%c Files oeffnen

Thu May 20 16:14:33 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.82
	  Kommentare um dumme Leute von SuSE davon abzuhalten wichtige Warnungen wegzupatchen

Thu May 20 15:50:38 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.100
	  Kommentar zu benoetigten Root Rechten neu

Thu May 20 15:35:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.286
	  Bessere Kommentare gegen SuSE die cdrecord nicht als root laufen lasse wollen

Wed May 19 00:54:29 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.285
	  Make sure you are root. nur ausgeben wenn euid != 0

Wed May 19 00:47:48 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.284
	  Version -> 2.01a29
	  reload geht nun auch fuer Notebook Laufwerke wieder

Wed May 19 00:45:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.160
	* scsi_mmc.c 1.9
	  print_format_capacities() neu

Wed May 19 00:27:28 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.99
	  Bessere beschreibung der Hintergruende fuer eine gute Wahl der FIFO Groesse (fs=)

Mon May 17 00:38:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.98
	  Bessere Dokumentation fuer DVD

Mon May 17 00:18:21 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsilog.c 1.17
	  Besserer Kommentar

Sun May 16 23:46:51 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.156
	  bei OPC "Power calibration area almost full" nicht als Fehler auffassen

Sun May 16 17:01:24 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.97
	  Bessere Dokumentation der driver= Option

Sun May 16 01:37:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.96
	  Diverse kleinere Schreibfehler beseitigt

Sun May 16 01:26:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.95
	  Eißfeldt -> Ei\*sfeldt
	  ľsec -> \*msec

Sat May 15 23:14:18 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.19
	  index Variable -> curindex wegen GCC Shadow Warnung

Sun May  9 17:59:31 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* skel.c 1.1
	  date and time created 04/05/09 16:59:31 by joerg

Fri Apr 23 00:51:24 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.43
	  Padding fuer ASPI CMD Struktur damit auch 32 Byte Sense Daten von SPTI gehen

Wed Apr 21 01:48:32 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.42
	  Support fuer SPTI & Kontroller mit mehr als einem SCSI Bus
	  Bei SPTI ist SENSE_LEN max nun 32

Sun Apr 18 13:26:43 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.81
	  MAX-SCG -> 256 wegen Linux USB Implementierung

Fri Apr 16 15:29:34 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.19
	  Bis zu 256 Busse scannen.

Thu Apr 15 16:35:46 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.283
	  Version -> 2.01a28

Mon Apr 12 16:13:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.94
	  Read Book -> Red Book

Tue Apr  6 11:59:03 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.282
	  Bessere Fehlermeldung bei fehlendem -pad/-shorttrack

Mon Mar 15 01:59:49 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.281
	  Kommentar fuer cuefile= & -raw

Wed Mar 10 21:54:36 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.65
	* cdrecord.1 1.93
	* cdrecord.c 1.280
	  ts= Doku besser

Mon Mar  8 00:43:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.80
	  Fehler if (sp->u_sense.cmd_sense != 0 -> if (sp->u_sense.cmd_sense[0] != 0 korrigiert
	  Wenn ASC/ASQ und auch alle zusaetzlichen Bits/Key in Byte 2 0 sind, dann loeschen wir CHECK CONDITION wieder
	  weil das ein Linux USB Problem ist wo z.B. wegen einem DMA Underrun REQUEST SENSE geschickt wurde
	  und das Laufwerk erwartungemaesz mit NO SENSE geantwortet hat

Sun Mar  7 23:43:08 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.279
	  Version -> 2.01a27

Thu Mar  4 09:24:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.278
	  Bugfix: Nach Umstellung des Tests auf Schreibmodus Option ging nur noch TAO

Wed Mar  3 01:27:14 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.115
	* cue.c 1.20
	* isosize.c 1.9
	* drv_simul.c 1.47
	* getnum.c 1.2
	* movesect.c 1.3
	  Cstyle

Tue Mar  2 21:02:42 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* misc.c 1.4
	* cue.c 1.19
	  Copyright -> 2004

Tue Mar  2 02:53:06 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.25
	* fifo.c 1.47
	* drv_mmc.c 1.155
	* drv_sony.c 1.70
	* drv_dvdplus.c 1.13
	* drv_7501.c 1.15
	* diskid.c 1.37
	* defaults.c 1.11
	* crc16.c 1.6
	* cdr_drv.c 1.36
	* clone.c 1.7
	* drv_philips.c 1.68
	* readcd.c 1.64
	* scsi_cdr.c 1.136
	* scsi_scan.c 1.18
	* iso9660.h 1.5
	* xio.h 1.2
	* cdtext.h 1.5
	  Cstyle

Tue Mar  2 01:13:42 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* wm_track.c 1.4
	  Copyright -> 2004

Mon Mar  1 11:08:40 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.159
	* mmcvendor.h 1.3
	* scsilog.h 1.4
	* scsimmc.h 1.10
	* drv_jvc.c 1.80
	* scsi_mmc.c 1.8
	* cdtext.c 1.10
	* scsilog.c 1.16
	* auinfo.c 1.23
	* cdrecord.c 1.277
	* audiosize.c 1.19
	* sector.c 1.12
	* subchan.c 1.17
	* wm_packet.c 1.24
	* xio.c 1.8
	  Cstyle

Mon Mar  1 11:02:43 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsimmc.h 1.11
	* subchan.c 1.18
	* wm_packet.c 1.25
	* xio.c 1.9
	* sector.c 1.13
	  Copyright -> 2004

Sun Feb 29 21:49:03 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.276
	  Cstyle

Sun Feb 29 18:19:58 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.275
	  Version -> 2.01a26
	  -tao/-sao neu

Sun Feb 29 18:13:20 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.92
	  -tao Option neu, -sao Option als Alias fuer -dao

Sun Feb 22 16:41:57 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.91
	  Schreibfehler

Sun Feb 22 15:53:51 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.63
	* cdrecord.h 1.158
	* defaults.c 1.10
	  cdr_defaults() Prototy -> neues defaults.h

Sun Feb 22 15:53:00 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.1
	  date and time created 04/02/22 15:53:00 by joerg

Sun Feb  1 21:32:58 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* adip.h 1.1
	  date and time created 04/02/01 21:32:58 by joerg

Fri Jan 23 23:10:42 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.41
	  dev=ATAPI:1,0 geht nun wieder

Mon Jan 19 21:29:24 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.113
	* cdrecord.c 1.274
	* drv_dvdplus.c 1.12
	* wm_packet.c 1.23
	  trackp[i].padsecs * secsize -> (Llong)trackp[i].padsecs * secsize, damit kein Integeroverflow mehr stattfindet

Thu Jan 15 22:24:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.40
	  w2k_or_newer() neu um bei NT-4.0 wegen DMA Problemen mit SPTI per Default mit ASPI zu betreiben
	  Debug prints fuer bessere Beurteilung der Funktionsweise

Thu Jan 15 02:22:38 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-mac-iokit.c 1.9
	  memset sense 0 wieder eingebaut bis endgueltig geklaert ist wie es sein sollte

Thu Jan 15 01:55:36 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-hpux.c 1.31
	* scsi-linux-pg.c 1.43
	* scsi-vms.c 1.33
	* scsi-os2.c 1.25
	* scsi-wnt.c 1.39
	* scsi-remote.c 1.15
	* scsi-unixware.c 1.36
	* scsi-qnx.c 1.3
	* scsi-osf.c 1.26
	* scsi-sgi.c 1.36
	* scsi-bsd.c 1.42
	* scsi-bsd-os.c 1.28
	* scsi-beos.c 1.22
	  Umbau fuer Cstyle

Thu Jan 15 01:05:25 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-openserver.c 1.31
	  Aenderungen fuer Cstyle

Thu Jan 15 00:50:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-next.c 1.32
	* scsi-linux-ata.c 1.5
	  Umbau wegen Cstyle

Wed Jan 14 20:05:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.112
	  Unbenutzte Variablen beseitigt

Wed Jan 14 20:04:33 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.82
	  Aumbau fuer Cstyle

Wed Jan 14 19:57:28 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.81
	  Ueberfluessige Variable sb beseitigt

Wed Jan 14 18:54:48 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-apollo.c 1.5
	* scsi-amigaos.c 1.6
	* scsi-aix.c 1.36
	* scsi-linux-sg.c 1.79
	* scsiopen.c 1.95
	* scsitransp.c 1.90
	* scgsettarget.c 1.2
	* scsihelp.c 1.4
	  Umbau fuer cstyle

Wed Jan 14 15:37:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.78
	  LF_ATA Flag neu

Wed Jan 14 01:14:27 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-mac-iokit.c 1.8
	  ux_errno wird nun korrekt gesetzt wenn ein Kommando schiefgeht
	  Die Sense Daten werden nicht mehr gelöscht
	  Author ist nun "schily", denn das Modul kommt nun teilweise dirch scgcheck

Tue Jan 13 20:43:44 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-mac-iokit.c 1.7
	  Umbau fuer Cstyle

Mon Jan 12 00:36:04 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.154
	  Besserer Kommentar bei den Profilen in identify

Mon Jan 12 00:33:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.35
	  dp bei error() ueberpruefen um coredumps bei cdrecord -xd zu verhindern

Sun Jan 11 18:42:14 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.77
	  Versuch das /dev/hd* Interface von Linux-2.6 besser zu unterstützen.

Sun Jan 11 16:18:48 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.76
	  Kommentar verbessert

Sun Jan 11 14:39:45 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.38
	  w2kstyle_create() umgestellt und so repariert, dasy kein unzulaessiger Speicherzugriff mehr erfolgt

Sun Jan 11 14:09:19 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.37
	  loas_aspi() neu

Sun Jan 11 13:28:56 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.36
	  Aenderungen damit cdrecord -scanbus dev=ASPI geht

Wed Jan  7 00:38:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.157
	* scsi_scan.c 1.17
	* scsi-mac-iokit.c 1.6
	* scsi-sun.c 1.80
	* scsi-wnt.c 1.34
	* scsitransp.c 1.89
	* cdrecord.c 1.273
	  Copyright -> 2004

Wed Jan  7 00:20:32 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.35
	  Anderer Version String fuer SPTI

Wed Jan  7 00:03:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.272
	  Version -> 2.01a24

Tue Jan  6 23:58:43 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.18
	  Wenn FILE Anweisung im CUE Sheet keinen Slash (/) enthaelt, dann wird der Filename auch im Directory des CUE Sheets gesucht

Tue Jan  6 23:52:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.88
	  Version -> 0.8

Tue Jan  6 23:33:20 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.33
	  Cstyle

Tue Jan  6 23:21:14 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.32
	  SPTI Unterdrueckung von nocht CD-ROM deaktiviert

Tue Jan  6 23:10:18 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.31
	  Erste Version mit SPTI Support

Tue Jan  6 17:58:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-mac-iokit.c 1.5
	  scgo_havebus() korrigiert (war immer FALSE) damit pxupgrade funktioniert

Tue Jan  6 01:01:59 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.153
	  cmd_dummy statt init_mmc in den Treiberstrukturen fuer CD-ROM Leser

Sun Jan  4 15:26:25 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.79
	  Erste Version einer UID Verwaltung die fuer Solaris 9 USCSI gebraucht wird

Fri Jan  2 16:05:57 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.78
	  Erste Version die mit Volume Management arbeitet

Fri Jan  2 16:05:21 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.271
	  Version -> 2.01a23

Fri Jan  2 16:05:06 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.16
	  Hack fuer fd == -1 -> Kein Zugriff auf LW -> '?' statt '*'

Tue Dec 30 14:20:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.270
	  Schreibfehler will not not Korrigiert

Mon Dec 29 15:25:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.90
	  Bessere Beschreibung und Beispiel fuer -setdropts driveropts=

Wed Dec 24 11:51:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.152
	  Hinweis auf RAW bei nicht funktionierendem CUE Sheet

Tue Dec 23 13:48:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.269
	  Version -> 2.01a21
	  Hack fuer POSIX_PRIORITY_SCHEDULING Bug (wir brauchen root Rechte um die Pri zu verringern)

Sun Dec 21 14:29:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.89
	  Neuer Absatz ueber ATAPI auf erster Seite.

Thu Dec 18 17:10:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.87
	  Aehnlicher Text wie in cdrecord.c wenn !defined(IS_SCHILY_XCONFIG)

Thu Dec 18 17:10:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.268
	  Neuer Text fuer modifizierte Versionen ohne Support

Thu Dec 18 17:09:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.88
	  .sp verschoben auf Wunsch von Eric Raymond

Tue Dec 16 00:42:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.267
	  Security Test Ausgabe nun auch ohne Root Zugriff sichtbar

Mon Dec 15 16:40:59 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.266
	  Ausgabe des Resultats des Security Checks

Mon Dec 15 09:19:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.151
	  Copyright -> 2003

Mon Dec 15 09:18:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.150
	  Ein DVD Brenner wird nun auch erkannt wenn er nur MMC-3 und nicht MMC-2 konform ist
	  Hinweis auf ftp://ftp.berlios.de/pub/cdrecord/ProDVD/

Mon Dec 15 07:32:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.265
	  comexit(0); nach "erstem" -force blank unit entfernt damit auch mit dem Ricoh-5125 Medien erweckt werden koennen

Thu Dec 11 12:59:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.30
	  #ifdef __SCG_COMPAT_ zum enablen von info/ident/revision -> vendor_info/prod_ident/prod_revision

Thu Dec 11 12:55:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.15
	* scsi_cdr.c 1.135
	  info -> vendor_info, ident -> prod_ident, revision -> prod_revision

Wed Dec 10 00:42:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.11
	  Hinweis auf http://bootcd.narod.ru/

Wed Dec 10 00:40:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.264
	  Hinweis auf ftp://ftp.berlios.de/pub/cdrecord/ProDVD/

Wed Dec 10 00:19:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.263
	  Version -> 2.01a20
	  FIFO Abschalten wenn fifosize < 2*bufsize

Tue Dec  9 20:52:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.87
	  ..sp -> .sp Schreibfehler

Sun Nov 30 13:50:31 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.10
	  schcgeck funktioniert nun, kein DMAresid und max sense_count 18

Sun Nov 30 00:00:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xio.c 1.7
	* readcd.c 1.62
	  #include <io.h> auch fuer DJGPP

Sat Nov 29 23:36:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.9
	  Srb.Type.ExecSCSICmd.SenseLen = DEF_SENSE_LEN; -> Srb.Type.ExecSCSICmd.SenseLen = (SENSE_LEN+2);

Sat Nov 29 23:11:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.61
	  Version -> 2.01a20

Sat Nov 29 23:10:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xio.c 1.6
	  setmode(fileno, O_BINARY) auch fuer DJGPP

Sat Nov 29 23:10:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.60
	  #include <io.h> fuer __CYGWIN32__/__EMX__
	  setmode(fileno, O_BINARY) auch fuer DJGPP

Sat Nov 29 23:03:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.8
	  Sense_len & sense_count korrekt beachten
	  SS_ERR -> vor die invalid Device & Cannot Select Bus cases im switch in send_cmd()

Sat Nov 29 22:28:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.7
	  Schreibfehler is statt if beseitigt

Sat Nov 29 19:11:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-os2.c 1.24
	  Return (0) statt -1 bei FATAL Error in send_cmd() wenn kein gueltiges Target gesetzt ist

Sat Nov 29 19:10:48 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.6
	  Neuer AspiLoaded Counter fuer mehrfaches Oeffnen

Sat Nov 29 19:06:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.30
	  Return (0) statt -1 bei FATAL Error in send_cmd() wenn kein gueltiges Target gesetzt ist
	  SS_ERR mit cp->SRB_TargStat != 0 ist nun SCG_NO_ERROR
	  AspiLoaded ist nun integer Counter damit mehrere open()s moeglich sind

Sat Nov 29 19:04:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.5
	  Return (0) statt -1 bei FATAL Error in send_cmd() wenn kein gueltiges Target gesetzt ist
	  SS_ERR mit Srb.Type.ExecSCSICmd.TargStat != 0 ist nun SCG_NO_ERROR

Sat Nov 29 18:58:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.4
	  Cstyle

Sat Nov 29 18:30:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.3
	  Umbau auf _go32_dpmi_allocate_real_mode_callback_retf()

Fri Nov 28 10:25:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.2
	  Callback Funktion neu

Fri Nov 28 02:33:18 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.43
	  scsi-dos.c neu

Fri Nov 14 10:55:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-dos.c 1.1
	  date and time created 03/11/14 10:55:14 by joerg

Sun Nov  2 23:50:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.46
	  fifo_percent() fragt nun (sp == NULL) ab um festzustellen of der FIFO aus ist

Wed Oct 29 15:33:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.14
	  strcatl()/concat()/*execl() casten nun NULL im letzten Arg nach (char *)NULL

Wed Oct  1 00:39:23 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.156
	  Kommentar ueber minimale FIFO Groesse

Sun Aug 24 13:15:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.86
	  driveropts in /Etc/default/cdrecord dokumentiert

Tue Jul 22 21:43:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.262
	  Version -> 2.01a17

Mon Jul 21 00:06:31 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.155
	* cdrecord.1 1.85
	* cdrecord.c 1.261
	  Neue Option ts=

Fri Jul 18 10:04:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.59
	  Version -> 2.01a17
	  Teilweise #ifndef EXTVERS -> #ifdef CLONE_WRITE fuer genauere Beschreibung des Kodes

Fri Jul 18 10:03:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.134
	  Kommentar Hinweis in cdr_underrun()

Fri Jul 11 11:43:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.84
	  Schreibfehler

Sun Jul  6 00:04:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-os2.c 1.23
	  EIO statt EINVAL damit Scan fuer Targets > 7 klappt

Sat Jun 21 21:42:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.77
	  Workaround fuer Solaris 8 x86 Bug: DKIOCINFO liefert 256 kB DMAsize aber nur 68 kB geht bei ATAPI & DMA

Sat Jun 21 19:42:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.58
	  Neue Option -factor

Fri Jun 20 22:47:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.57
	  Neue Option ts= fuer Transfer size

Fri Jun 20 22:32:59 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.56
	  Residual count auswerten beim Lesen

Fri Jun 20 22:21:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.55
	  prstats_silent() Prototyp neu
	  Versuch damit klarzukommen dasz einige BS (UnixWare) nicht mit odd byte DMA bei ATAPI klarkommen (READ FULL TOC)
	  Ausgabe aller Lead out startzeiten bei -clone (READ FULL TOC)
	  Geschwindigkeitsangaben beziehen sich auf 1000 Byte == 1 kb
	  Hack to write empty disks geht mit end == 1 statt end == 0

Tue Jun 17 19:23:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.83
	  Schreibfehler

Tue Jun 17 19:18:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.22
	  samples -> nsamples wegen samples() Makro und K&R C

Sat May 31 21:58:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-amigaos.c 1.5
	  Neue Version von Thomas Langer

Sat May 31 19:41:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-amigaos.c 1.4
	  Eingerueckt nach cstyle

Sat May 31 18:34:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.260
	  GPL Hinweise besser formuliert, Schreibfehler in usage() beseitigt

Sat May 31 18:10:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.82
	  Schreibfehler berichtigt & -format dokumentiert

Sat May 31 18:09:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.21
	  Fix fuer fehlerhafte Erkennung von *.inf Dateien die Meldung 'WARNING: Stdin is connected to a terminal.' verursacht

Fri May 16 13:02:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.13
	  js_snprintf(devname, sizeof(devname), device);  -> js_snprintf(devname, sizeof(devname), "%s", device);

Wed May 14 18:59:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.259
	  CD-Text -text Aktivierung durch trackp[MAX_TRACK+1].flags |= TI_TEXT
	  Kein CD-text mehr wenn track[0].flags & TI_TEXT schon gesetzt (durch textfile=)

Wed May 14 18:57:53 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.17
	  CD-Text aus CDTEXTFILE nur noch wenn trackp[MAX_TRACK+1].flags & TI_TEXT

Wed May 14 18:56:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.81
	  Neue erweiterte CD-Text Behandlung beschrieben

Wed May 14 02:24:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.258
	  Version -> 2.01a15, Diverse Umstellungen damit tracks == 0 Abfragen bei cuefile=xxx korrekt behandelt werden

Wed May 14 02:21:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xio.c 1.5
	  while(pp) -> for (; pp; pp = pp->x_next) damit continue bei x_name == NULL nicht zur Endlosschleife wird

Tue May 13 23:26:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.80
	  speed= Behandlung besser erklaert und Schreibfehler

Tue May 13 23:26:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.16
	  TI_SWAB bei FILE ... WAVE setzen

Tue May 13 13:07:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xio.c 1.4
	  pp->x_name == NULL voer strcmp geaendert

Tue May 13 13:05:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xio.c 1.3
	  Neue Knoten korrekt in Liste ein und aushaengen

Mon May 12 02:17:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.149
	  Support fuer TM_QUADRO/TM_ALLOW_COPY neu
	  Hack fuer CUE Sheet Handling mit MODE2/CDI  trackp[i].dbtype == DB_RAW
	  Fuer Lead-In/Lead-Out werden nun die Bits fuer Datengroesse wegmaskiert

Mon May 12 01:39:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.257
	  setleadinout() setzt nun trackp[tracks+1].tracktype aus trackp[tracks].tracktype

Mon May 12 01:38:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.15
	  Erste funktionierende Version

Mon May 12 00:26:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvdplus.c 1.8
	  Canot -> Cannot Schreibfehler beseitigt

Mon May 12 00:25:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.154
	  parsecue()/fparsecue() neu

Mon May 12 00:22:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.256
	  Version -> 2.01a14, Neue Option cuefile=, Kein Aufruf von checkdsize() wenn tracks == 0 (tsize == -150)

Mon May 12 00:20:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.79
	  einfache erste cuefile= Doku

Sun May 11 21:47:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.153
	  TI_QUADRO & is_quadro() neu

Sun May 11 21:46:53 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xio.c 1.2
	  Schutz gegen Coredump wenn pp->x_name == NULL

Sat May 10 16:15:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.14
	  Erster Ansatz fuer parse_file()

Sat May 10 15:05:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.13
	  struct state neu
	  cueopen()/neednextitem()/needword()/needitem()/checkextra()/cueabort() neu

Fri May  9 10:10:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.12
	  keyw_t Arrays -> LOCAL

Fri May  9 10:08:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.11
	  Parser Funktionen -> LOCAL

Fri May  9 10:00:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.10
	  Erster Ansatz zum weiteren parsieren der Keywort Zeilen mit den Funktionen parse_*()

Fri May  9 09:58:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.9
	  #include cdtext.h vor cdrecord.h wegen gettextptr() und den Typ textptr_t

Fri May  9 09:57:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.20
	* cdrecord.h 1.152
	  gettextptr() ist nun nicht mehr LOCAL

Fri May  9 09:56:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.h 1.4
	  #define CDTEXT_H fuer Erkennung dasz cdtext.h includiert wurde

Thu May  8 20:13:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.9
	  Umgestellt fuer mehr "Ordnung"

Thu May  8 19:57:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.8
	  Definitionen fuer alle Schluesselworte

Thu May  8 19:44:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.7
	  getlocal() beseitigt, parsecue()/fparsecue() neu

Thu May  8 19:38:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsiopen.c 1.94
	  js_snprintf(errs, slen, scgp->errstr) -> js_snprintf(errs, slen, "%s", scgp->errstr)

Thu May  8 19:38:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.148
	  get_speeds_plextor() geht nicht mit alten LW, daher Ausfuerung im silent Mode

Thu May  8 00:45:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.6
	  Reihenfolge der Keyworte Kommentar

Wed May  7 23:46:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.151
	* wm_packet.c 1.22
	* fifo.c 1.45
	* cdrecord.c 1.255
	  Umbau auf 'xio'

Wed May  7 20:31:31 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xio.h 1.1
	* xio.c 1.1
	  date and time created 03/05/07 19:31:31 by joerg

Tue May  6 23:57:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.150
	* cdrecord.1 1.78
	* cdrecord.c 1.254
	  -abort Option neu

Tue May  6 19:12:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.5
	  Kommentar verbessert, lookup() mit table Parameter

Tue May  6 00:35:47 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.4
	  Kommentar verbessert

Tue May  6 00:23:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cue.c 1.3
	  Umbau auf Makefilesystem, ungetline()/getlocal() neu

Sun May  4 18:41:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.77
	  Beschreibung der Audio Kopie aus Pipe

Sun May  4 18:36:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.253
	  Version -> 2.01a13

Sun May  4 18:35:19 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.149
	* cdrecord.c 1.252
	* auinfo.c 1.19
	  Neue Funktion auinfosize() fuer AudioCDs aus Pipe Brennen

Sun May  4 15:46:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.251
	  Neue Funktion opentracks() und Umstellung des Trackparsing

Sun May  4 15:18:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.44
	  STDIN wird nicht mehr geschossen damit Audio "On the Fly" moeglich wird

Sun May  4 15:16:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.148
	  Neues Track Flag TI_USEINFO, tracktype/dbtype nun Uchar

Sun May  4 12:52:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.250
	  setuid(getuid()) nachdem alle root Dinge erledigt sind (hoffentlich)

Sat May  3 20:09:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.54
	* scsitransp.c 1.86
	  scg_fprascii()/scg_prascii()/scg_sprascii() neu

Sat May  3 19:39:32 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.249
	  gracewait setzt nun didgrace auf TRUE um doppeltes Warten zu vermeiden

Fri May  2 22:49:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.35
	  Debug error() beseitigt

Fri May  2 22:46:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.34
	  xpopen() neu damit suid root Binaries gehen, denn /etc/scsi/pdiconfig geht nicht wenn euid != uid

Tue Apr 29 22:59:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.248
	  Version -> 2.01a11

Tue Apr 29 20:59:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.247
	* cdrecord.1 1.76
	  Neue Optionen -xa/-xamix und -multi/-mode2/-xa1/-xa2/-cdi korrigiert

Tue Apr 29 20:41:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.147
	  Support fuer TAO -mode2

Tue Apr 29 20:40:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.147
	  Definitionen fuer Daten Sektor Typen

Tue Apr 29 00:27:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.146
	  Bessere Ausgabe fuer formatierte RW Medien

Tue Apr 29 00:26:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_mmc.c 1.7
	  Ausgave des Current Profile auf separater Zeile

Wed Apr 23 23:25:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvdplus.c 1.5
	  Ungebrauchte Variablen beseitigt

Wed Apr 23 23:20:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.133
	  read_track_info() Bug gefixt (type Bits waren in cmd_cdb[2] statt cmd_cdb[1])

Wed Apr 23 23:19:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.246
	  gracewait() umstrukturiert

Wed Apr 23 23:18:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_mmc.c 1.6
	* drv_mmc.c 1.145
	* cdrecord.h 1.146
	  print_profiles() neu

Tue Apr 22 22:36:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.245
	  Return Code von (*dp->cdr_init)(scgp, dp) auswerten

Tue Apr 22 19:08:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.244
	  raise_fdlim versucht nun nicht mehr z.B. ein Limit von 256 auf 109 zu "erhoehen".

Tue Apr 22 17:47:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.144
	  Fehlendes " ergaenzt

Tue Apr 22 17:46:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.143
	  Bessere Fehlermeldung fuer get next writable address auf formatierte CD-RW

Tue Apr 22 17:42:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.243
	  Mehr Fehlermeldungen wenn in der Hauptschleife Fehler auftreten.

Tue Apr 22 01:08:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.242
	  Version -> 2.01a11, gracewait() mit didgrace Parameter fuer Ausgabe ohne Warten

Mon Apr 21 15:49:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.241
	  Format Code mit #ifdef DRV_DVD auskommentiert

Mon Apr 21 15:40:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.142
	  CL_TYPE_* #defines neu fuer scsi_close_tr_session()

Mon Apr 21 15:39:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.240
	  -format & BOOL gracedone neu

Mon Apr 21 15:23:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.145
	* scsi_cdr.c 1.132
	  request_sense_b()/reserve_tr_rzone() neu

Mon Apr 21 14:22:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.239
	  Umbau auf gracewait()

Sun Apr 20 16:26:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_mmc.c 1.5
	  get_format_capacities() neu

Sun Apr 20 16:22:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.141
	  read_track_info() mit erweiterten Parametern (Type) -> TI_TYPE_TRACK

Sun Apr 20 16:21:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.131
	  read_track_info() mit erweiterten Parametern (Type), read_rzone_info() aus drv_dvd.c durch read_track_info()

Sun Apr 20 16:20:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.144
	  F_FORMAT neu, WM_FORMAT neu, DSF_DVD_PLUS_R/DSF_DVD_PLUS_RW/DSF_NEED_FORMAT neu
	  read_track_info() mit erweiterten Parametern (Type), read_rzone_info() aus drv_dvd.c durch read_track_info()
	  get_format_capacities()/read_format_capacities() neu

Sun Apr 20 15:52:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsimmc.h 1.9
	  struct disk_info um dbit & bg_format_stat erweitert

Sun Apr 20 15:13:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.29
	  struct scsi_format_header um immed/tryout/ipattern Bits erweitert
	  struct scsi_format_cap_header neu
	  struct scsi_format_cap_desc neu
	  struct scsi_cap_data neu

Sun Apr 20 15:04:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsicdb.h 2.18
	  NACA Bit im Control Byte neu

Fri Apr 18 16:53:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.106
	* drv_mmc.c 1.140
	* cdrecord.h 1.143
	* scsi_cdr.c 1.130
	  read_dvd_structure() nun mit addr und layer Parameter

Fri Apr 18 16:51:11 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_mmc.c 1.4
	  Unbenutze & Uninitialisierte Variablen beseitigt

Thu Apr 17 23:13:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.34
	  DVD+ Treiber neu

Thu Apr 17 23:09:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.139
	  Treibertexte besser eingerueckt
	  Umleitung auf DVD+ Treiber bei DVD+ Medium
	  Aufruf der dp->cdr_identify(scgp, dp, scgp->inq) Routine bei Weiterleitung auf DVD Treiber

Thu Apr 17 09:45:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.69
	* drv_philips.c 1.67
	* cdr_drv.c 1.33
	* cdrecord.h 1.142
	* drv_simul.c 1.46
	* drv_dvd.c 1.105
	* drv_jvc.c 1.79
	* drv_7501.c 1.14
	* drv_mmc.c 1.138
	  cdr_format() Funktion neu

Thu Apr 17 02:32:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.137
	  load_media() fuer get_curprofile() im Silent Mode, wenn es ein CD Brenner ist dann wird nicht der CD-ROM Treiber returniert

Thu Apr 17 01:10:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.136
	  SCSI-3/MMC-3 medien Tests neu um DVD+ zu erkennen

Thu Apr 17 00:04:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_mmc.c 1.3
	  Vermeiden von pname(profile) ohne #defne DRV_DVD

Wed Apr 16 23:40:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.135
	  mmc_getval() weiter nach hinten - nach Korrektur der Inquiry Daten fuer ATAPI

Wed Apr 16 22:49:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.134
	  Treiber ID Text (Kommentar) verbessert

Wed Apr 16 22:42:59 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.68
	  Cue sheet Option auf 3 setzen

Wed Apr 16 22:40:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.75
	  Hinweis auf mkisofs -print-size bei SAO/RAW

Wed Apr 16 22:28:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.32
	  SCSI-3/mmc-3 Support fuer DVD + DDCD Erkennung mit get_proflist()

Wed Apr 16 22:25:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsimmc.h 1.8
	  struct rzone_info um lra_v erweitert
	  struct mmc_performance_header / struct mmc_performance / struct mmc_exceptions / struct mmc_write_speed / struct mmc_streaming neu

Wed Apr 16 22:01:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.141
	  get_proflist()/get_wproflist() aus scsi_mmc.c neu

Wed Apr 16 22:00:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_mmc.c 1.2
	  get_conflen()/get_profiles()/get_proflist()/get_wproflist() neu

Wed Apr 16 00:49:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.133
	  get_speeds_plextor() komplett in die Statistik Funktion verlagert

Wed Apr 16 00:28:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_mmc.c 1.1
	  date and time created 03/04/15 23:28:09 by joerg

Wed Apr 16 00:28:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.140
	  scsi_mmc.c Definitionen neu

Wed Apr 16 00:12:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.132
	  Trebertabellen aufgeraeumt

Tue Apr 15 18:57:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.139
	  track_base(tp) Makro repariert (tp)->track statt (tp)->trackno

Tue Apr 15 10:01:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.104
	  TAO Fake beseitigt

Sun Apr 13 21:54:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.67
	  #include timedefs.h fehlte

Sun Apr 13 18:54:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.66
	  Erste SAO Implementierung (ohne MCN/ISRC/multi-session)

Sun Apr 13 17:15:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.103
	* drv_simul.c 1.45
	* drv_jvc.c 1.78
	* drv_mmc.c 1.131
	* drv_7501.c 1.13
	* cdrecord.c 1.238
	* cdrecord.h 1.138
	* drv_philips.c 1.66
	  cdr_abort_session() neu

Sun Apr 13 17:10:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.130
	  "Selected write speed:" -> "Last selected write speed:"

Sun Apr 13 13:59:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.129
	  Intelligenteres scsi_load() kennt nun CDR_CADDYLOAD

Sun Apr 13 13:54:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.65
	  Yamaha CDR-100 nun mit scsi_load()

Sun Apr 13 13:36:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.237
	  Version -> 2.01a10, Neue Funktion print_drflags()

Sun Apr 13 13:35:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.137
	  Kommentar verbessert

Sun Apr 13 12:28:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.236
	* scsi_cdr.c 1.128
	  scsi_load()/scsi_unload() nun mit korrektem Return Wert (int statt BOOL) und Auswertung des Return Wertes in load_media()/unload_media()

Fri Apr 11 15:31:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.129
	* drv_7501.c 1.12
	  (*dp->cdr_gen_cue)() Aufruf nun ueber Pointer

Fri Apr 11 15:27:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.102
	* drv_simul.c 1.44
	* drv_mmc.c 1.128
	* cdr_drv.c 1.31
	* cdrecord.h 1.136
	* drv_7501.c 1.11
	  (*dp->cdr_send_cue)() nun mit cdr_t * Parameter

Fri Apr 11 15:18:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_7501.c 1.10
	* drv_simul.c 1.43
	* drv_philips.c 1.64
	* drv_dvd.c 1.101
	* drv_mmc.c 1.127
	* drv_sony.c 1.65
	* drv_jvc.c 1.77
	* cdrecord.h 1.135
	* cdrecord.c 1.235
	  Neue Funktion (*cdr_gen_cue)()

Fri Apr 11 01:25:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.126
	  get_speeds_plextor() nun mit 3 int * Parametern, Ausgabe der Maximalen Brenngeschwindigkeit in stats_mmc()

Fri Apr 11 00:53:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.234
	* cdrecord.h 1.134
	  is_sao() & TI_SAO neu, checktsize() ueberprueft nun ob ein Track mit unbekannter Laenge in SAO/RAW mode vorhanden ist und bricht ab

Thu Apr 10 21:18:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.63
	* drv_simul.c 1.42
	* drv_7501.c 1.9
	* cdr_drv.c 1.30
	* cdrecord.h 1.133
	* drv_jvc.c 1.76
	* drv_dvd.c 1.100
	* drv_sony.c 1.64
	* scsi_cdr.c 1.127
	* drv_mmc.c 1.125
	* cdrecord.c 1.233
	  cdr_check_recovery()/cdr_recover()/cdr_close_session() nun mit cdr_t * Parameter

Thu Apr 10 19:19:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.132
	  Kommentar eingerueckt

Thu Apr 10 19:15:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.232
	* cdrecord.h 1.131
	* drv_sony.c 1.63
	* drv_simul.c 1.41
	* drv_philips.c 1.62
	* drv_mmc.c 1.124
	* drv_7501.c 1.8
	* drv_jvc.c 1.75
	* drv_dvd.c 1.99
	  cdr_init() neu, cdr_speed_select() nun ohne "dummy" Parameter

Thu Apr 10 15:32:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.123
	  get_speeds_plextor() neu

Sun Apr  6 15:49:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.74
	  Neue driveropts= speedread/singlesession/hidecdr

Sun Apr  6 15:48:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.231
	  (*dp->cdr_set_speed_dummy)() Aufruf bei -setdropts zwischen cdr_opt1() und cdr_opt2()

Sun Apr  6 15:45:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.122
	  Support fuer Plextor PowerRec, SpeedReeed, SongleSession, HideCDR

Sun Apr  6 02:19:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.230
	* cdrecord.h 1.130
	  #defines und Auswertung fuer CDR_SINGLESESS/CDR_HIDE_CDR/CDR_SPEEDREAD neu

Sat Apr  5 22:35:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.129
	* cdrecord.c 1.229
	* cdrecord.1 1.73
	  Neue Option -setdropts

Sat Apr  5 20:51:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.121
	  mmc_load/mmc_unload() auskommentiert

Sat Apr  5 20:46:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.120
	  opt2_mmc() neu und Kode aus open_session_mmc() dorthin bewegt

Sat Apr  5 20:43:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.126
	* cdrecord.c 1.228
	  Bessere Buffer underrun Erkennung und Beschreibung

Sat Apr  5 15:49:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.62
	* drv_mmc.c 1.119
	* drv_simul.c 1.40
	* drv_7501.c 1.7
	* cdrecord.c 1.227
	* drv_philips.c 1.61
	* drv_jvc.c 1.74
	* cdrecord.h 1.128
	* drv_dvd.c 1.97
	  (*dp->cdr_opt2)(scgp, dp) neu

Sat Apr  5 15:37:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.226
	  Buffer Underrun Vorhersage verbessert (kein loeschen am Trackanfang & zusaetzlicher Test auf leres RAM)

Sat Apr  5 01:42:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.118
	  Read Burn Proof Counter fuer Plextor

Fri Apr  4 23:48:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.33
	  Reset Support neu

Fri Apr  4 00:44:59 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.225
	  -packet impliziert nun nicht mehr TAO

Fri Apr  4 00:35:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_7501.c 1.6
	  cw7501__do_cue() nun korrekt LOCAL

Fri Apr  4 00:30:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.18
	* subchan.c 1.16
	  trackp->tracktype & TOC_MASK wegen TOCF_DUMMY/TOCF_MULTI

Fri Apr  4 00:29:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.61
	* drv_simul.c 1.39
	* drv_7501.c 1.5
	* drv_philips.c 1.60
	* cdrecord.h 1.127
	* cdrecord.c 1.224
	* drv_mmc.c 1.117
	* drv_jvc.c 1.73
	* drv_dvd.c 1.96
	  cdr_open_session()/cdr_fixate() ohne multi/dummy Parameter -> track[0].tracktype

Thu Apr  3 22:49:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_jvc.c 1.72
	* drv_dvd.c 1.95
	* wm_packet.c 1.21
	* cdrecord.c 1.223
	  Casting wegen Signed/Unsigned Arithmetik bei ANSI C

Thu Apr  3 22:32:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.60
	* drv_7501.c 1.4
	* drv_simul.c 1.38
	* drv_dvd.c 1.94
	* drv_philips.c 1.59
	* drv_mmc.c 1.116
	* drv_jvc.c 1.71
	* cdrecord.c 1.222
	* cdrecord.h 1.126
	  cdr_open_session()/cdr_fixate() Treiberinterface nun ohne toctype Parameter -> trackp[0]->tracktype

Thu Apr  3 20:51:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.43
	  int -> Uint wegen Ansi C Vergleich

Thu Apr  3 20:46:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* clone.c 1.6
	  first/last int -> Uint wegen Ansi C Vergleich

Thu Apr  3 20:42:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.15
	  j int -> Uint wegen Ansi C Vergleich

Thu Apr  3 18:16:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.221
	  Neue Option -lock
	  prtimediff() -> misc.c
	  Version -> 2.01a09

Thu Apr  3 18:15:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.72
	  Neue Option -lock

Thu Apr  3 18:14:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* misc.c 1.3
	  prtimediff() aus cdrecord.c neu

Thu Apr  3 18:14:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.115
	  int/Uint Vergleiche gecastet
	  test auf tracksize < 0 vor do_cue()
	  Versuch zu erreichen dasz is_packet(trackp) nicht mehr is_tao(trackp) impliziert

Thu Apr  3 18:11:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.125
	  F_DLCK & prtimediff() neu

Thu Apr  3 18:11:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_7501.c 1.3
	  Support fuer SAO neu

Sun Mar 30 22:16:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_7501.c 1.2
	  Schreibsupport fuer TAO

Sun Mar 30 13:50:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.220
	* drv_mmc.c 1.114
	  Eingerueckt nach cstyle

Sat Mar 29 20:27:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.32
	  Auswertung von scbp->sc_comp_code und Setzten von sp->error

Thu Mar 27 12:11:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.54
	  meshpoints=# Option neu

Thu Mar 27 01:15:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.219
	  2002 -> 2003

Thu Mar 27 01:03:48 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.29
	  cw7501 neu

Thu Mar 27 01:02:47 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_7501.c 1.1
	  date and time created 03/03/27 01:02:47 by joerg

Thu Mar 27 00:53:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.218
	  Version -> 2.01a07, Unterdrueckung von "Warning: blockdesc secsize %d differs from cap secsize %d\n" wenn scgp->cap->c_bsize == 0

Thu Mar 27 00:45:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.124
	  Eingerueckt nach cstyle

Thu Mar 27 00:43:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.113
	  mmc_load()/mmc_unload() mit 2. Parameter cdr_t *

Tue Mar 25 18:48:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-qnx.c 1.2
	  sccsid -> __sccsid

Mon Mar 24 23:25:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.217
	  Version -> 2.01a06, Handler fuer SGIHUP/SIGTERM, cdr_underrun() neu

Mon Mar 24 23:23:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.125
	* cdrecord.h 1.123
	  cdr_underrun() neu

Mon Mar 24 13:01:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.31
	  Beseitigung von fdesc[MAX_SCG][MAX_TGT][MAX_LUN] und Verkleinerung von sdidevs[scg][tgt][lun]
	  Nun kann wirklich scg_open() mehrmals aufgerufen werden.

Sun Mar 23 21:10:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.30
	  valid/atapi/initiator -> flags mit SDI_* Bit #defines

Sun Mar 23 17:33:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.29
	  Besseres Verhalten fuer scgcheck

Sun Mar 23 15:14:23 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.28
	  Eingerueckt wegen cstyle(1)

Sun Mar 23 14:12:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.42
	  Support fuer QNX neu

Sun Mar 23 14:11:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-qnx.c 1.1
	  date and time created 03/03/23 14:11:14 by joerg

Thu Mar  6 16:39:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.42
	  faio_wait_on_buffer() mit Prototype implementierung wegen SCO cc

Thu Mar  6 16:27:52 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.71
	  Beschreibung fuer -xa1 -xa2, ... berichtigt

Fri Feb  7 12:34:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.70
	  Schreibfehler beseitigt

Sun Feb  2 14:13:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.12
	  Umgestellt, damit es auch ohne rcmd() geht

Tue Jan 28 01:19:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.112
	  Workaround fuer LG TAO Audio Formware bug: audio_pause_len = 150

Tue Jan  7 14:09:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.124
	  Ausgabe Save/Set Modepages auch auf stderr wie Rest der Zeile

Tue Jan  7 14:08:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.111
	  set_mode_params() ist BOOL, daher ist Abfrage auf < 0 falsch

Tue Dec 24 16:28:38 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.69
	  Version -> 2.0

Tue Dec 24 14:16:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.216
	  Mail Adresse -> schilling@fokus.fhg.de
	  Vermeidung von "Cannot write CD's >= 100 minutes.\n" bei DVDs

Mon Dec 16 22:26:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.68
	  Mailing Lists geupdated, Hinweis auf cddb= bei den cdda2wav Beispielen

*************** Release 2.0 *******************

Sat Nov 30 17:43:51 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* readcd.c 1.53
	* cdrecord.c 1.215
	  Version -> 2.0

Sat Nov 30 16:11:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.214
	  DVD-Pro Check for Tracksize-known only if ntracks > 0

Sat Nov 30 13:01:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.110
	  Allow Medium removal after load Media for DVD/CD recognition as drecord -checkdrive would otherwise lock the tray if it has been open before

Sat Nov 30 12:55:17 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-osf.c 1.25
	  Debug output with SCSI Status Byte

Fri Nov 22 17:55:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.67
	  RSH= und RSCSI= documented for ssh(1) RSCSI

Fri Nov 22 17:40:35 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.11
	  Support for non-root rcmd() and ssh(2)

Fri Nov 22 17:35:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.41
	  AmigaOS Support with ix_vfork()/ix_vfork_resume() and separate var buf_idx_reader for vfork()

Thu Nov 21 22:28:57 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.213
	  New Option minbuf=

Thu Nov 21 22:23:10 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.66
	  minbuf= Option new

Tue Nov 19 19:13:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsiopen.c 1.93
	  Fix for Coredump with dev=/dev/rsr1c:@,0

Sun Nov 10 19:18:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.36
	  Orange Forum Embargo Warning only if mp->msf_min == 97 for DVDs

Mon Nov  4 18:12:16 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.40
	  close(f) /dev/zero oly if /dev/zero has been opened

Sun Nov  3 16:32:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.123
	* cdrecord.h 1.122
	  write_xscsi()/seek_scsi()/seek_g0()/seek_g1() new

Sat Nov  2 22:11:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.212
	  Version -> 1.11a40, _POSIX_MEMLOCK/_POSIX_PRIORITY_SCHEDULING Test POSIX 2001 conformant

Sun Oct 27 15:19:29 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.211
	  New Wait Feature free the IDE Busses if Source&Destination are on the same cable (use -immed)

Sun Oct 27 14:57:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.65
	  New Wait (usleep) Feature for -immed documented

Sun Oct 27 14:42:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.121
	  New Flag RF_WR_WAIT to actively free the IDE Busses via usleep()

Sun Oct 27 02:26:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.210
	* wm_packet.c 1.20
	* drv_jvc.c 1.70
	  Change from trackp->padsize ->trackp->padsecs

Sun Oct 27 02:02:38 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.120
	  Change from trackp->padsize ->trackp->padsecs
	  New Sektor based Makros Sminutes(s)/Sseconds(s)/Shseconds(s)/Sframes(s)

Sun Oct 27 01:20:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.64
	  Better docukmentation for padsize=

Sat Oct 26 23:13:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.122
	  Text Generic mmc2 DVD -> Generic mmc2 DVD-R/DVD-RW

Sat Oct 26 20:21:15 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* wm_packet.c 1.19
	  Support printing the fill ratio of the drive buffer and the actual write speed

Fri Oct 25 15:06:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.109
	  ATIP printinf for speed better -> %2d (reserved val %2d)

Fri Oct 25 15:05:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.209
	  pad_track() now shows Drive buffer fill% and speed
	  Verbose prinrting for write_track_data() and pad_track() unified

Fri Oct 25 00:49:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.208
	  Warning for cdrecord blank=fast if drive does not like -> Try cdrecord blank=all
	  write_track_data() now computes trackp->isecsize from trackp->isecsize to trackp->secsize

Fri Oct 25 00:18:19 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.108
	  BURN-Free was not used -> BURN-Free was never needed

Fri Oct 25 00:06:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.107
	  Test for 0xFF:0xFF/0xFF with dsp->ds_maxblocks == 716730 -> dsp->ds_maxblocks == 1166730 because we now use forceposivive in msf_to_lba()

Thu Oct 24 23:47:23 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.106
	  di_to_dstat() now always sets dsp->ds_first_leadin to allow  2. setting for Yamaha AudioMaster

Wed Oct 23 22:46:02 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.207
	  Version -> 1.11a39, Only cdrecord dev=help calls scg_help() no automatic printing if scg_open() fails

Wed Oct 23 22:40:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.63
	  Many changes tp prepare for 2.0

Wed Oct 23 22:21:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-ata.c 1.4
	  Workaround for Linux Kernel design bug: CDROM_SEND_PACKET stes errno to EINVAL if Sense Key is "Invalid Command" 

Mon Oct 21 19:20:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.75
	  /dev/sg* read loop again with 1000 loops but only if 'f' is a RAW device
	  Typo fixed

Sun Oct 20 15:28:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.74
	  sg_clearnblock() new to alow to clear O_NONBLOCK directly after open(.., ...|O_NONBLOCK) 

Sat Oct 19 22:04:23 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.206
	  Version -> 1.11a38, Support for libscg Help

Sat Oct 19 21:28:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsiopen.c 1.92
	* scsihack.c 1.41
	  scg_help() Funktion new

Sat Oct 19 21:27:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.85
	  Version -> 0.7

Sat Oct 19 21:26:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.29
	* scsi-vms.c 1.32
	* scsi-unixware.c 1.27
	* scsi-sun.c 1.76
	* scsi-sgi.c 1.35
	* scsi-remote.c 1.10
	* scsi-osf.c 1.24
	* scsi-os2.c 1.22
	* scsi-openserver.c 1.30
	* scsi-next.c 1.31
	* scsi-mac-iokit.c 1.4
	* scsi-linux-sg.c 1.73
	* scsi-linux-pg.c 1.42
	* scsi-linux-ata.c 1.3
	* scsi-hpux.c 1.30
	* scsi-bsd.c 1.41
	* scsi-bsd-os.c 1.27
	* scsi-beos.c 1.21
	* scsi-apollo.c 1.4
	* scsi-amigaos.c 1.3
	* scsi-aix.c 1.35
	  scgo_help() Funktion new

Sat Oct 19 19:14:05 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.53
	  Parameter tcomment new in __scg_help()

Sat Oct 19 14:02:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.52
	  Help functions new

Fri Oct 18 17:25:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.72
	  Modified Cleanup read() loop in sg_initdev() by request from Linus Torvalds

Fri Oct 18 17:20:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.75
	  open Warnung von error() auf js_fprintf((FILE *)scgp->errfile umgestellt

Fri Oct 18 17:16:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsiopen.c 1.91
	* scsi-linux-ata.c 1.2
	* scsi-sun.c 1.74
	  Allow unified dev=ATAPI, dev=ATAPI:, dev=USCSI, dev=USCSI: 

Sun Oct 13 21:40:59 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.71
	  open(name, 2) -> O_RDWR....
	  sg_initdev() with better loop to read possible rests from driver (requested by Linus Torvalds)

Sun Oct 13 21:23:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.73
	* scsi-linux-pg.c 1.41
	  open(name, 2) -> O_RDWR....

Sat Oct 12 13:53:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.11
	  Initialize Testsector in encspeed() to make resulting speed independent from junk on the stack

Thu Oct 10 23:43:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.205
	  Change wording from DAO -> SAO

Wed Oct  9 19:36:09 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.28
	  New device types for Inquiry 

Wed Oct  9 19:35:44 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.84
	  scg_fprintdev() New device types for Inquiry

Tue Oct  8 00:57:50 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.26
	  Handle EBUSY for multiple opens

Mon Oct  7 22:19:15 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.10
	* cdrecord.h 1.119
	* cdrecord.c 1.204
	  Verbose printing of the LEC encoding speed -> encspeed()

Sat Oct  5 22:07:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.203
	  call cdr_buffer_cap() in Silent mode to make sure buggy drives (CW-7585) will not print constantly error messages

Sat Oct  5 18:07:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-ata.c 1.1
	  date and time created 02/10/05 17:07:46 by joerg

Sat Oct  5 17:48:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.70
	  Support for CDROM_SEND_PACKET in scsi-linux-ata.c new
	  SCSI Timeout now may be distinguished from SCSI selection Timeout by implementing a workarounf for a Linux kernel bug

Sat Oct  5 00:02:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.72
	  Do not open all /dev/scg* devices if not in SCAN mode
	  ENXIO for USCSI means selection Timeout

Fri Oct  4 23:59:05 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.31
	  Warn for missing Scanbus, up to 26 IDE Controller from Chip.Dancy@hp.com

Wed Oct  2 21:44:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.202
	  Version -> 1.11a36, #ifdef HAVE_LIB_EDC_ECC to allow compilation without libedc

Wed Oct  2 02:22:32 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.39
	  Allow again compilation with #undef FIFO 

Wed Oct  2 00:54:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsiopen.c 1.90
	  replace comma by semikolon 

Wed Oct  2 00:48:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.30
	  gk_chan is Unsigned but there was a comparison <= 0
	  scsi status scsi_sts now correct for ATAPI

Sat Sep 28 20:36:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.105
	  deflt_writemodes_mmc() now with fallback to SAO if TAO is not supported

Sat Sep 28 14:53:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.201
	  -force Wirkung auf RAW Speed nur noch bis maximal das was eine CPU kann
	  Neue environment Variable "CDR_FORCERAWSPEED"

Sat Sep 28 14:46:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.9
	  EDC_SCRAMBLE_NOSWAP #define in old libedc new

Fri Sep 27 17:39:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.200
	  Limit gracetime to 999, Do not use \b with wait time because seconds may use more than one column

Fri Sep 27 16:40:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_simul.c 1.37
	  DVD max speed -> 1000

Fri Sep 27 14:33:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.199
	  Drive current speed/Drive default speed/Drive max speed printing now with lverbose > 1
	  Hint to Heiko with Encoding speed printing

Fri Sep 27 14:30:18 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.104
	  Max Speed in struct from 370 -> 372,
	  mmc_opthelp()/hasdrvopt()/get_justlink_ricoh() now with EXPORT
	  Bug with dp->cdr_dstat->ds_dr_cur_wspeed fixed,
	  set dp->cdr_speeddef/dp->cdr_speedmax from drive values

Fri Sep 27 14:28:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.89
	  Change to use new driveropts= method from drv_mmc.c

Fri Sep 27 14:25:18 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_simul.c 1.36
	  Max Speed for CD from 370 -> 372

Thu Sep 26 03:06:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.121
	  scsi_load()scsi_unload() now may be called with cdr_t * 0

Wed Sep 25 18:05:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.103
	  scsi_blank()/scsi_close_tr_session()/scsi_flush_cache() with immed Flag

Wed Sep 25 16:12:10 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.117
	* cdrecord.c 1.198
	* drv_simul.c 1.35
	* drv_philips.c 1.58
	* scsi_cdr.c 1.120
	* drv_dvd.c 1.88
	  start/stop, load/unload, flush_cache with immed Parameter

Wed Sep 25 14:22:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_jvc.c 1.69
	* drv_dvd.c 1.87
	* drv_mmc.c 1.102
	* cdr_drv.c 1.28
	* cdrecord.c 1.197
	* cdrecord.h 1.116
	  blank() driver function now weith cdr_t * parameter for F_IMMED

Wed Sep 25 13:52:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.196
	  -immed new

Wed Sep 25 13:51:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.195
	  F_DVD -> TI_DVD (was wrong)

Wed Sep 25 13:13:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.115
	  F_DVD -> TI_DVD (was wrong), F_IMMED new

Wed Sep 25 00:38:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.194
	* cdrecord.h 1.114
	* drv_sony.c 1.59
	* drv_simul.c 1.34
	* drv_philips.c 1.57
	* drv_mmc.c 1.101
	* drv_jvc.c 1.68
	* drv_dvd.c 1.86
	  close_track()/fixate() enhanced by cdr_t * Parameter 

Tue Sep 24 21:28:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.100
	  mmc_set_speed() new to allow drives that don't like speed=1

Tue Sep 24 18:40:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.193
	  Version -> 1.11a35, Do not print Zeit/speed Statistics if writing did not yet start

Tue Sep 24 18:36:56 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.119
	  Modify speed printing to include CD/DVD Speed 

Mon Sep 23 15:42:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_simul.c 1.33
	  Simulate Next Writable Address (for TAO)

Mon Sep 23 15:39:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.192
	  Move Comment out of #ifdef DRV_DVD

Mon Sep 23 15:17:56 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.191
	  Fix Pregap handling for DVD (no 150 Sektors per Track)

Sun Sep 22 01:35:18 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.113
	  F_DVD new

Sun Sep 22 00:11:57 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.85
	  Set DVD Flag in driverstructure because it is now used

Sat Sep 21 23:59:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_simul.c 1.32
	  Set DVD Flags, calculate DVD speed correctly,
	  correct real time spend in usleep()

Sat Sep 21 01:33:16 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.190
	  Version -> 1.11a34, Late check for tracks == 0 only if -fix was not used

Fri Sep 20 01:58:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.17
	  -auinfo should be superceede -scms / -copy

Thu Sep 12 17:16:35 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.189
	  Statistics order new and better, 
	  Print new statistics even on abort

Thu Sep 12 17:03:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.112
	  New Flags RF_DID_STAT/RF_DID_CDRSTAT

Thu Sep 12 16:42:57 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.56
	  Modified -> reload_media()

Thu Sep 12 15:52:20 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.99
	  cdr_dstat->ds_dr_max_rspeed/cdr_dstat->ds_dr_cur_rspeed neu
	  cdr_dstat->ds_dr_max_speed/cdr_dstat->ds_dr_cur_speed -> cdr_dstat->ds_dr_max_wspeed/cdr_dstat->ds_dr_cur_wspeed
	  scsi_set_speed() with MMC-3 rotctl Parameter

Thu Sep 12 15:47:01 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.188
	  Version -> 1.11a33, ds_dr_max_speed -> ds_dr_max_wspeed

Thu Sep 12 15:43:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.84
	* scsi_cdr.c 1.118
	* cdrecord.h 1.111
	  scsi_set_speed() mit MMC-3 rotctl Parameter

Thu Sep 12 14:37:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.98
	  dsp->ds_flags with DSF_HIGHSP_ERA / DSF_ULTRASP_ERA 
	  New Speed Tabels for HS and UHS RW media
	  atip_printspeed() new
	  Print A1 ATIP Werte also in hex
	  Modify ATIP printout for UHS CD-RW

Thu Sep 12 13:34:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.187
	  Driveropts print MMC,MMC-2,MMC-3
	  -force now allows to write faster data in -raw Data
	  Checks for Ultra High speed CD-RW for old writers
	  Do not print average write speed if data size is unknown

Thu Sep 12 13:27:10 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.117
	  Enhancements for MMC-2 & MMC-3 in -prcap (mode Page 2A)

Wed Sep 11 21:23:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.27
	  MMC-2 & MMC-3 enhancements for Mode Page 2A

Wed Sep 11 20:47:35 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.110
	  CDR_MMC/CDR_MMC2/CDR_MMC3 new

Wed Sep 11 15:13:20 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.14
	  end = 0 for useless GCC Warning 'end' might be uninitialized

Wed Sep 11 15:01:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.109
	  trackp->dataoff/tracks/track/trackno -> Uchar
	  DSF_HIGHSP_ERA & DSF_ULTRASP_ERA new
	  CDR_ALLOC without top Bit for GCC Warning

Wed Sep 11 14:59:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.83
	* auinfo.c 1.16
	  Cast for trackp->track*  -> Uchar

Wed Sep 11 14:59:07 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.58
	  Constant 0xFFFFFFFF with #ifdef for K&R/ANSI

Sun Sep  1 23:43:15 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.186
	  Print minimal Drive Buffer fill ratio

Sun Sep  1 23:42:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.97
	  DiskT@2 Support new

Sun Sep  1 23:33:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.108
	  Several new ds_* Vars for better Statistics

Sun Sep  1 21:27:35 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.185
	  cdrstats() now guesses Buffer underruns and prints average write speed

Sun Sep  1 17:42:59 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.96
	  cdr_stats() Function new
	  speed_select_mmc() with 2nd Parameter dp for FORCESPEED
	  driveropts=foesecpeed new
	  driveropts=tattooinfo new
	  driveropts=tattoofile=name new
	  hasdrvopt() fixed: missing break nach past recognised Option

Sun Sep  1 16:50:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.184
	  Buffer Cap print every 1 MB

Fri Aug 30 13:57:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.183
	  Version -> 1.11a32, CDR_DISKTATTOO new, (*dp->cdr_stats)(scgp, dp); for Burn-Free Statistics

Fri Aug 30 13:42:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.107
	  New driverinterfacefunction cdr_stats()
	  CDR_DISKTATTOO new

Fri Aug 30 13:41:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.57
	* drv_simul.c 1.31
	* drv_philips.c 1.55
	* drv_jvc.c 1.67
	* drv_dvd.c 1.82
	  New driverinterfacefunction cdr_stats()

Thu Aug 29 21:40:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.56
	* drv_simul.c 1.30
	* drv_philips.c 1.54
	* drv_jvc.c 1.66
	* drv_dvd.c 1.81
	* cdrecord.h 1.106
	* cdrecord.c 1.182
	  New Parameter cdr_t *dp for cdr_set_speed_dummy() for "forcespeed"

Thu Aug 29 17:12:40 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mmcvendor.h 1.2
	  link_counter is [2].

Mon Aug 26 17:47:17 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.95
	  Turning... messages -> stdout

Mon Aug 26 01:56:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.94
	  JustLink Support new

Mon Aug 26 01:22:08 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mmcvendor.h 1.1
	  date and time created 02/08/26 00:22:08 by joerg

Tue Aug 20 01:11:19 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.93
	  mmc_opt1() new
	  Yamaha Audio Master Support new
	  Be more careful with test_write (-dummy) in deflt_writemodes_mmc()
	  Check driveropts= already in attach_mmc() and turn into flags

Tue Aug 20 00:06:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.181
	  Call dp->cdr_opt1() _before_ set speed/dummy and before the first Size Check

Mon Aug 19 02:30:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.180
	  Do not clear ds_cdrflags after attach()

Mon Aug 19 01:12:18 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.179
	  driveropts=help new in short usage()

Mon Aug 19 00:45:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.105
	* drv_dvd.c 1.80
	* drv_simul.c 1.29
	* drv_jvc.c 1.65
	* drv_sony.c 1.55
	* drv_philips.c 1.53
	  cdr_t->cdr_opt1() new

Mon Aug 19 00:40:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.178
	  dataoff = 16 as Default in autoaudio to allow cdrecord -raw to work without -data 

Mon Aug 19 00:34:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.177
	  Call (*dp->cdr_opt1)(scgp, dp) for Yamaha Audio Master, then 2. Check for size

Sat Aug 17 01:13:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.92
	  Yamaha Audio Master recognition, Varirec in driveropts=help, Varirec recognition

Sat Aug 17 00:52:44 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.104
	  Calling sequence comment new

Sat Aug 17 00:04:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.8
	  Max RAW speed in metering raised from 100x -> 1000x 

Fri Aug 16 02:39:01 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.176
	* cdrecord.h 1.103
	  CDR_VARIREC / CDR_AUDIOMASTER / CDR_FORCESPEED new

Wed Aug 14 23:43:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.175
	  Version -> 1.11a30, Speed test for RAW data sectors

Wed Aug 14 20:50:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.9
	  Allow Space as separator in /etc/default/cdrecord 

Wed Aug 14 01:04:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.102
	* sector.c 1.7
	  encspeed() new

Tue Aug 13 23:45:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.6
	  HAVE_LIB_EDC_ECC/HAVE_NEW_LIB_EDC/CLONE_WRITE new

Tue Jul 30 00:22:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.174
	  Version ->1.11a28, tracksize/secsize ->itracksize/isecsize for debug printf

Mon Jul 29 22:22:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.101
	  track_base() Macro new, typedef struct ofile ofile_t new

Mon Jul 29 21:58:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.13
	  Shift ISRC & MCN by one to the end if the are on an index change

Sun Jul 28 23:19:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_simul.c 1.28
	  Flags with allen possible write modi and with CDR_TRAYLOAD to avoid 

Sun Jul 28 13:54:08 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.12
	  better comment

Thu Jul 25 03:25:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.11
	  Support for ISRC/MCN in RAW Mode new (but witout index shift)

Tue Jul 23 23:47:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.10
	  First loop in fillsubch() removed because it is identical to second loop

Tue Jul 23 23:32:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.9
	  fillsubch() now coeerect for audio Pregap between Tracks korrekt with relative time counting downwards

Sun Jul 21 18:21:24 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.91
	  set dsp->{ds_disktype!ds_trfirst!ds_trlast!ds_trfirst_ls} from dip->* 
	  Do not cast malloc() anymore
	  Check write_cdtext() Returncode
	  Prepare for just Link

Sun Jul 21 18:13:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.79
	  set CDR_BURNFREE Flag,
	  set dsp->{ds_disktype!ds_trfirst!ds_trlast!ds_trfirst_ls} from dip->* 

Sun Jul 21 18:07:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.173
	  Version -> 1.11a27,
	  Define Warning that needs to be printed if Source has been changed,
	  Better messages for wrong DVD-RW write speed, reload_media() at end Ende of RAW Write

Sun Jul 21 17:52:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.116
	* auinfo.c 1.15
	  malloc() Cast removed

Sun Jul 21 17:51:44 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.54
	  dsp->ds_diskid now is UInt32_t

Sun Jul 21 17:44:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.100
	  struct disk_status with Typen from utypes.h

Mon Jul  8 00:31:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* wm_session.c 1.4
	* wm_packet.c 1.18
	* subchan.c 1.8
	* fifo.c 1.38
	* drv_mmc.c 1.90
	* drv_jvc.c 1.64
	* clone.c 1.5
	* cdrecord.h 1.99
	* cdrecord.c 1.172
	  'tracks' outside driver interface removed and replaced by trackp->tracks

Sun Jul  7 22:30:24 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_jvc.c 1.63
	  Better rebuild old driver interface in next_wr_address_jvc()

Sun Jul  7 22:28:35 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* wm_packet.c 1.17
	* drv_mmc.c 1.89
	* cdr_drv.c 1.27
	* cdrecord.h 1.98
	* cdrecord.c 1.171
	* drv_sony.c 1.53
	* drv_simul.c 1.27
	* drv_philips.c 1.52
	* drv_jvc.c 1.62
	* drv_dvd.c 1.77
	  trackno/tracks Parameter in driverinterface removed for new Struct Member

Sat Jul  6 21:19:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.170
	* cdrecord.h 1.97
	  track_t now with tracks and track for simplified driverinterface

Sat Jul  6 18:20:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.96
	* cdrecord.c 1.169
	* drv_sony.c 1.52
	* drv_simul.c 1.26
	* drv_philips.c 1.51
	* drv_mmc.c 1.88
	* drv_jvc.c 1.61
	* drv_dvd.c 1.76
	  cdr_speeddef/cdr_speedmax new and do not default to speed= 1 but to cdr_speeddef

Fri Jul  5 23:11:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.168
	  Version -> 1.11a26
	  wm2name[] with better systematics
	  Bugfix for High Speed CD-RW that could not be written anymore at 10x speed
	  New test for too slow writing of a CD-RW
	  Modename for blank only now is "BLANK"
	  Text: write XXX mode -> real XXX mode
	  SAO & RAW start (leadin) Code -> drv_mmc.c
	  Correctly print the current DVD writespeed

Fri Jul  5 21:36:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.95
	  New driverfunction write_leadin, WM_ * Macros with better system,
	  new Macro wm_base(),
	  RF_LEADIN new

Fri Jul  5 21:31:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.87
	  New driverfunction write_leadin_mmc() with Code from cdrecord main function

Fri Jul  5 21:26:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.51
	* drv_simul.c 1.25
	* drv_philips.c 1.50
	* drv_jvc.c 1.60
	* drv_dvd.c 1.75
	  New driverfunction write_leadin as dummy

Thu Jul  4 13:01:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.167
	  Version -> 1.11a25
	  Print Writemodes (new)
	  set_wrmode() new
	  restructuring: cdr_t->cdr_dstat is now used
	  dp->cdr_dstat->ds_cdrflags |= RF_PRATIP new
	  Check for ultra low speed media in High Speed writer
	  Check for high speed media in Low Speed writer
	  Avoid that cdrecord -- speed=8 causes speed=8 to be ignored as file type arg

Thu Jul  4 12:55:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.94
	  restructuring: cdr_t->cdr_dstat is now used
	  New Write Mode WM_* definitions

Thu Jul  4 12:53:14 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.74
	* drv_mmc.c 1.86
	* drv_philips.c 1.49
	* drv_sony.c 1.50
	  Check for dp->cdr_dstat->ds_cdrflags & RF_PRATIP
	  Fill dsp->ds_flags |= DSF_ERA and dsp->ds_at_*_speed

Tue Jul  2 19:55:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.49
	* drv_simul.c 1.24
	* drv_philips.c 1.48
	* drv_jvc.c 1.59
	* cdr_drv.c 1.26
	* drv_mmc.c 1.85
	* drv_dvd.c 1.73
	  dstat_t * now is a Member of cdr_t -> better handling of special funcs

Tue Jul  2 15:18:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.84
	  get_atip() now is always usable (not only if PRINT_ATIP has been defined)

Sun Jun 16 15:58:37 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.115
	  Comment -> mmc-2

Fri May 31 22:09:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.114
	  wait_unit_ready() fast Abort even if k == SC_MEDIUM_ERROR

Wed May 29 01:43:13 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.28
	  Better printf() format strings for DWORD

Wed May 29 01:02:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.h 1.3
	  List of language codes enhanced

Wed May 29 00:55:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.37
	  palign() Macro with (UIntptr_t) Cast

Wed May 29 00:54:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.166
	  Version -> 1.11a24, gracetime= in usage(), printf() Format correkt for bmtime()

Wed May 29 00:51:56 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.62
	  gracetime= new

Wed May 29 00:50:03 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.8
	  Avoid Coredump if a single .inf File is missing and trackp[i].text is NULL -> ->textcodes does not work

Mon May 20 17:08:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-aix.c 1.34
	  palign() -> with UIntptr_t cast

Mon May 20 16:38:23 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.9
	  avoid Integeroverflow with %.*s and 64 bit

Mon May 20 14:28:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.71
	  Cast (int)req.uscsi_buflen/(int)req.uscsi_resid forr 64 bit

Mon May 13 02:02:09 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.165
	  Version -> 1.11a23,
	  Flush Cache with exit() in Silent Mode to avoid problem with cdrecord -toc and CD-ROMs

Mon May 13 02:00:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.36
	* drv_mmc.c 1.83
	* drv_jvc.c 1.58
	* drv_dvd.c 1.71
	* cdrecord.h 1.93
	  New Typ tsize_t instead of off_t for Track size Vars > sizeof(long) on non-largefile OS

Sat May  4 21:55:38 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.164
	  Avoid that abort via ^C kills a running SCSI Command

Sat May  4 21:42:56 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.83
	* scsitransp.h 1.51
	  Callback Function at Ende of SCSI Command

Sat May  4 18:10:05 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.163
	  Version -> 1.11a22
	  gracetime= Option new
	  Now use geterrno()/seterrno()
	  reload_media() reads from stdder if input is from stdin

Sat May  4 16:00:13 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.162
	  printf() Formats enhanced to get non jumping output with DVDs

Sat May  4 15:36:45 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.70
	  always set CDR_TAO|CDR_SAO in cdr_flags to allow speudo-DAO Mode

Sat May  4 15:34:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.92
	  MIN_GRACE_TIME new

Sat Apr 20 22:29:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.35
	  Now use geterrno()/seterrno()

Tue Apr 16 19:20:40 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsierrs.c 2.28
	  New Errorstrings from 29.5.2001

Tue Apr  9 22:48:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.35
	  Embargo Message now better

Tue Apr  9 22:41:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.91
	  F_STDIN Flag new

Sat Mar 30 12:26:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.69
	  Make drecord -atip print useful things

Wed Mar 27 23:36:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.68
	  maxblocks computing corrected (now even works with Panasonic)

Tue Mar 26 19:18:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.7
	  create SCMS Bit
	  set COPY Bit in TOC and sub channels

Tue Mar 26 19:10:32 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.161
	  Version -> 1.11a19

Tue Mar 26 19:07:15 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.14
	  Albumperformer= new

Tue Mar 26 19:02:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.7
	  textfile= not-existent caused a Coredump

Sun Mar 24 23:39:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.160
	  SCMS and Copy permitted printing new, Version -> 1.11a18

Sun Mar 24 23:38:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.13
	  SCMS as new value for Copy_permitted=

Sun Mar 10 00:24:19 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.159
	  Print real write speed

Sat Mar  9 23:21:05 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.82
	  remiove typo in hasdrvopt()

Sat Mar  9 23:03:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.81
	  first VariRec Support

Sat Mar  9 21:15:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.65
	  Burn-PROOF Support new, try tp make Panasonic DVD-R working

Sat Mar  9 20:20:16 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.158
	  IS_SCHILY_XCONFIG new, Short Usage with susage() new

Fri Mar  8 16:48:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.157
	  Version print Lizens better, -cdi sets toctype

Fri Mar  8 16:46:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.82
	  Version -> 0.6

Tue Mar  5 23:34:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.8
	  NULL Pointer for args is now OK to allow to be used with readcd

Tue Mar  5 23:32:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.90
	  getnum()/getllnum() from cdrecord.c -> getnum.c

Tue Mar  5 23:26:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.156
	  Version -> 1.11a17
	  getnum()/getllnum() -> getnum.c
	  cdr_defaults() changed to allow to be used with readcd.c

Tue Mar  5 23:20:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getnum.c 1.1
	  date and time created 02/03/05 23:20:48 by joerg

Mon Mar  4 23:42:43 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.34
	* drv_mmc.c 1.80
	* drv_dvd.c 1.64
	* scsi_cdr.c 1.113
	* drv_simul.c 1.23
	* fifo.c 1.34
	* crc16.c 1.5
	* crc16.h 1.3
	* cdrecord.h 1.89
	  Copyright -> 2002

Mon Mar  4 23:32:08 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.h 1.2
	  Comment for Text Language code now better

Mon Mar  4 23:21:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.155
	  better comment for Version printing for not working Branches

Mon Mar  4 22:43:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.154
	  Comments for Sector size

Mon Mar  4 22:42:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.7
	  Copyright -> 2002
	  new Function open_cdrdefaults(),
	  Comment that states that "/etc/default/cdrecord" may not be changed

Fri Mar  1 22:37:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.33
	  Better Text for unknown ID Codes

Thu Feb 28 23:04:45 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.12
	  readtstr() now looks for rightmost ' from right to left,
	  readtag("CDINDEX_DISCID=") -> readtstr("CDINDEX_DISCID=")

Sun Feb 24 15:44:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.153
	  Copyright -> 2002

Sat Feb 23 22:00:51 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.6
	  First Support for CD-Text Synthesis with new functions text_txt()/packtext()/anytext()/fillup_pack()/fillpack()

Sat Feb 23 21:44:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.h 1.1
	  date and time created 02/02/23 21:44:33 by joerg

Sat Feb 23 21:21:10 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.61
	  -text/textfile= Options documented

Sat Feb 23 21:17:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.152
	  Version -> 1.11a15, Option -text new, char * textfile not global anymore

Sat Feb 23 21:10:53 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.11
	  First CD-Text Support

Sat Feb 23 17:24:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.88
	  void *text new in struct track, packtext() Prototype new

Sat Feb 23 16:01:50 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.79
	  CD-Text Cue sheet for Lead-in does not depend anymore from char *textfile but from trackp[0].flags & TI_TEXT

Wed Feb 20 19:39:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.112
	* drv_dvd.c 1.63
	* drv_simul.c 1.22
	* fifo.c 1.33
	  #ifndef DEBUG around #define DEBUG

Tue Feb 19 22:10:23 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.5
	  setuptextdata() new

Fri Feb 15 00:46:56 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* crc16.h 1.2
	* crc16.c 1.4
	  flip_crc_error_cor() with bsize Parameter and EXPORT instead of LOCAL
	  cdtext_crc_ok() removed -> cdtext.c

Fri Feb 15 00:42:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.4
	  Flip error correction for Text CRC correction
	  Automatic Text Size Header recognition

Sun Feb 10 12:43:07 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-openserver.c 1.29
	  MAX-DMA -> 63kB, -scanbus contolled by env Vars

Sat Feb  9 17:29:02 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.32
	  Warning for guessed IDs

Tue Jan 29 20:46:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.31
	  Removed wrong (now superfluous) IDs

Thu Jan 24 00:03:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.30
	  "Advanced Digital Media", "Moser Baer India Limited", "NAN-YA Plastics Corporation", "SHENZEN SG&GAST DIGITAL OPTICAL DISCS" new from Plextools binary
	  m_grandadvance[] was superfluous (m_grandadv[])
	  "WEALTH FAIR INVESTMENT LIMITE" typo fixed (D missing).

Fri Jan 18 12:43:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.69
	  do not try to use the PG driver if open(device) fails

Fri Dec  7 22:40:31 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.111
	  scsi_in_progress() with additional sense qualifier 0x04 for CyberDrive

Sun Dec  2 15:42:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-beos.c 1.20
	  Typo removed, Support for BeOS 5

Sun Dec  2 15:37:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-amigaos.c 1.2
	  Reworked the error handling code

Sun Dec  2 13:44:43 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-amigaos.c 1.1
	  date and time created 01/12/02 13:44:43 by joerg

Tue Nov 27 20:25:39 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.40
	  Copyright + 2001

Tue Nov 27 20:24:18 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.39
	  scsi-amigaos.c new

Tue Nov 27 02:10:34 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.151
	  NEED_SYS_SOCKET_H for BeOS new
	  Version -> 1.11a13
	  cdr_buffer_cap() environment for Plasmon RF41xx better

Tue Nov 27 02:08:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.47
	  Comment for buffer_cap dummy function for the Plasmon RF41xx better

Tue Nov 13 16:17:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.87
	* drv_dvd.c 1.62
	* cdrecord.c 1.150
	  New Flag DSF_DVD, better overcapacity output for DVD

Sun Nov 11 18:30:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.61
	  Comment for ACARD TECH AEC-7720 ATAPI<->SCSI adaptor better

Sun Nov 11 17:53:42 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.8
	  Test HAVE_RCMD new

Thu Nov  1 19:15:46 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_simul.c 1.21
	  Now using timedefs.h

Wed Oct 31 19:29:35 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.110
	  For ACARD TECH AEC-7720 ATAPI<->SCSI adaptor read Mode Page list only in debug mode

Wed Oct 31 00:24:58 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.109
	  sense_secsize() now calles mode_sense() first with 12 Bytes and again with 0xFE Bytes for Moge Page List

Wed Oct 31 00:17:27 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.78
	  check_writemodes_mmc() -> EXPORT, read_dvd_structure() now with mit 32 byte instead of 15 bytes len Parameter

Wed Oct 31 00:06:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.86
	  Prototyp for check_writemodes_mmc()

Tue Oct 30 23:12:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.26
	  cd_mode_page_05 intel byteorder link_size was wrong

Tue Oct 30 21:36:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.147
	  DVD Check code did code exit() for non MMC CD writers
	  version -> 1.11a10

Mon Oct 29 19:12:29 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-mac-iokit.c 1.3
	  Include Liste reworked

Mon Oct 29 18:57:46 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cd_misc.c 1.10
	* misc.c 1.2
	* modes.c 1.24
	* diskid.c 1.29
	* drv_simul.c 1.20
	* fifo.c 1.32
	* wm_track.c 1.3
	* wm_session.c 1.3
	* wm_packet.c 1.16
	  avoid sys/types.h 

Sat Oct 27 02:56:16 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.7
	  Test for HAVE_NETDB_H for rcmd()

Sat Oct 27 02:55:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsierrs.c 2.27
	  #include <unixstd.h> for size_t for snprintf()

Sat Oct 27 02:53:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.31
	  Test for HAVE_FORK new

Sat Oct 27 02:53:18 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.3
	  casts because sizeof() on MacOS X is long 

Thu Oct 25 16:19:08 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-mac-iokit.c 1.2
	  Unitnitialised Var dict, plugInResult format string ... GCC error removed

Thu Oct 25 02:03:56 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.38
	  Support for MaxOS X (Darwin-1.4)

Thu Oct 25 02:03:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-mac-iokit.c 1.1
	  date and time created 01/10/25 01:03:11 by joerg

Wed Oct 17 19:40:22 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.146
	  initialize scgp with NUL
	  brackets around if (p = senv_field(6))

Tue Oct 16 17:03:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.57
	* cdrecord.c 1.144
	* cdrecord.h 1.85
	* drv_simul.c 1.19
	* drv_sony.c 1.48
	* drv_philips.c 1.46
	* drv_mmc.c 1.77
	* drv_jvc.c 1.57
	  New Structuremember cdr_cmdflags in cdr_t

Tue Oct 16 15:57:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.143
	  Better error messages for DVD Demo Mode > 1 GB

Wed Oct 10 23:04:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.139
	  number() corrected - had wrong if/then/else Structure for T/P/G Multiplyer

Tue Oct  9 02:19:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.138
	  sys/types.h & sys/stat.h -> statdefs.h, -> 1.11a09

Tue Oct  9 01:42:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* audiosize.c 1.18
	* isosize.c 1.8
	  sys/types.h & sys/stat.h -> statdefs.h

Sun Oct  7 21:27:14 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-pg.c 1.40
	* scsi-linux-sg.c 1.68
	  Better error messages for Scanbus if /dev/sg* or /dev/pg* cannot be opened

Sun Oct  7 21:03:23 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.76
	  Modifications to allow recognition of CD/DVD writer

Sun Oct  7 20:41:51 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.25
	  xdebug for DVD/CD writer recognition

Sun Oct  7 19:01:25 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.55
	  read_dvd_structure() from drv_dvd.c -> scsi_cdr.c for Pioneer A03 DVD-R/CD-R
	  reload_media() only if writing later

Sun Oct  7 13:35:21 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.108
	* cdrecord.h 1.84
	  read_dvd_structure() from drv_dvd.c -> scsi_cdr.c for Pioneer A03 DVD-R/CD-R

Thu Sep 27 19:01:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsidefs.h 1.27
	  #undef DEV_UNKNOWN for True64

Thu Sep 13 19:10:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.107
	* cdr_drv.c 1.24
	* drv_dvd.c 1.54
	* cdrecord.h 1.83
	  Modifications to allow recognition of CD/DVD writer

Thu Sep 13 19:01:46 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.137
	  cdrecord -version now may print cdrecord-Clone,
	  Modifications to allow recognition of CD/DVD writer

Thu Sep 13 15:36:21 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsidefs.h 1.26
	  DEV_MMC_DVD_WR new

Thu Sep 13 14:31:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sun.c 1.70
	  maxdma for USCSI to default if == -1 (e.g. for TAPE), Debug print the RQ Buffer.

Tue Sep 11 14:04:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.106
	  Open CD-Text File in Binary

Tue Sep 11 03:06:31 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.67
	  Timeout Workaround for ioctl()

Tue Sep  4 14:04:25 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.136
	  DEMO_SPEED new

Thu Aug  9 16:38:21 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.82
	* cdrecord.c 1.135
	  #define GRACE_TIME 9 new

Fri Jul 20 13:17:21 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.75
	* cdrecord.c 1.134
	* cdrecord.h 1.81
	  RF_BLANK new to avoid opening the tray before blanking
	  Version -> 1.11a07

Thu Jul 19 00:28:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.6
	  Now using _niread()/_nixwrite()

Thu Jul 12 23:40:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsidefs.h 1.25
	  Taiyo Yuden EW-50 new

Thu Jul 12 23:35:08 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.105
	* cdr_drv.c 1.23
	* drv_philips.c 1.45
	  New driver for Taiyo Yuden EW-50 because it swabs audio bytes compared to Philips CDD-521

Thu Jul 12 23:33:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.30
	  Better Debug messages for FIFO adresse/size

Thu Jul  5 00:08:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.5
	  Match new libedc

Thu Jun 28 13:19:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.74
	  Use -DSAO_RAW -DSAO_RAW_TEST for SAO RAW tests only

Wed Jun 27 10:04:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* clone.c 1.4
	  clone_cue() for Test

Wed Jun 27 09:51:19 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.133
	  CDR_SRAW16 removed

Wed Jun 27 09:47:10 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsimmc.h 1.6
	* scsi_cdr.c 1.104
	  struct ftrackdesc -> scsimmc.h

Wed Jun 27 09:35:13 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.103
	  struct tocheader definition removed because it is in scsimmc.h

Sun Jun 24 22:35:23 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.73
	  check_writemodes_mmc() now resety silent correctly, deflt_writemodes_mmc() new

Sun Jun 24 19:55:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.80
	  CDR_SRAW16 disabled, because SAO supports only RAW96x

Fri Jun 22 08:42:55 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsimmc.h 1.5
	  struct tocheader now with Uchar

Wed Jun 20 21:53:55 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.6
	  min Struktur member -> pmin

Wed Jun 20 21:53:34 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.22
	  #include <stdio.h> for printf()

Wed Jun 20 21:53:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.132
	  Changes for GCC-3.0 & Linux include file bugs for printf() (is a #define), 1.11a04 -> 1.11a05

Tue Jun 19 12:26:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.131
	  Usage() with textfile=, 1.11a03 -> 1.11a04

Tue Jun 19 12:22:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.2
	  Modifications for RAW CD-Text

Tue Jun 19 11:39:08 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.79
	* subchan.c 1.5
	  addrw() new for CD-Text Support in RAW mode

Tue Jun 19 02:10:37 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.78
	* cdrecord.c 1.130
	  BUF_SIZE -> CDR_BUF_SIZE & from cdrecord.c -> cdrecord.h

Tue Jun 19 01:04:54 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.129
	  Do not call exit() if interrupting during wait time via ^C

Mon Jun 18 09:29:52 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdtext.c 1.1
	  date and time created 01/06/18 08:29:52 by joerg

Mon Jun 18 08:55:07 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.72
	* cdrecord.c 1.128
	* cdrecord.h 1.77
	  First CD-Text Support

Sat Jun 16 19:20:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.127
	  trackp->dataoff new, call on_comerr() earlier

Sat Jun 16 18:16:51 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.76
	  Dataoffset in struct track new, is_text() new

Sat Jun 16 18:15:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.71
	  Forgotten if (xdebug)

Tue Jun 12 22:57:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.126
	  -clone new, write mode for -xa1 -xa2, RAW data bug removed

Tue Jun 12 22:42:25 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.4
	  recodesectors() -> subrecodesecs()/sunchan.c, scrsectors() without return for AUDIO

Tue Jun 12 22:41:37 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.4
	  subrecodesecs() from sector.c & scrsectors() dummy

Tue Jun 12 22:40:59 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.75
	  recodesectors() -> subrecodesecs()

Tue Jun 12 01:51:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.74
	  Modifications for clone.c

Tue Jun 12 01:50:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* clone.c 1.1
	  date and time created 01/06/12 00:50:53 by joerg

Tue Jun 12 01:07:06 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.3
	  subq/nsubh -> _subq/_nsubh

Tue Jun 12 01:05:54 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.2
	  Changes for clone writing, qwto16() new for clone 16/96 Writing

Tue Jun 12 00:12:42 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.3
	  removed unused Vars

Mon Jun 11 23:31:00 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.73
	  Enhancements for clone writing

Mon Jun 11 23:29:50 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.2
	  scrsectors()/recodesectors() fuer clone writing neu

Mon Jun 11 23:12:41 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.70
	  Checking write modes Message only with xdebug

Mon Jun 11 23:11:55 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* movesect.c 1.2
	  Make it more general to allow compress and expand

Mon Jun 11 23:09:58 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.10
	  Comment for ISRC

Sat Jun  9 20:13:35 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.125
	  -copy/-nocopy new, Prevent data sectors only in RAW Mode (without libedc_ecc)

Sat Jun  9 20:05:59 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.60
	  New Options -raw, -raw96r, -raw96p, -raw16, -copy, -nocopy

Wed Jun  6 00:09:58 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.124
	  Any positive startsector for RAW is wriong -> Philips Firmware bug fixed

Mon Jun  4 19:28:17 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.123
	  Modifications for RAW Mode
	  cdr_t *dp now allocated
	  BURNFREE printput with Driver Flags
	  OPC also for -blank
	  write_secs() new for all writes on ATAPI
	  print_wrmodes()/check_wrmode() new
	  reload_media() new

Mon Jun  4 17:45:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.72
	* drv_dvd.c 1.53
	* drv_mmc.c 1.69
	  New Function reload_media()

Mon Jun  4 17:08:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.71
	* wm_packet.c 1.15
	  Modifications for RAW Mode

Mon Jun  4 17:06:21 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subchan.c 1.1
	  date and time created 01/06/04 16:06:21 by joerg

Mon Jun  4 16:52:34 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* crc16.c 1.3
	  Now correct Code with Inverted CRC Bits

Mon Jun  4 16:49:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.9
	  SECT_AUDIO_NPRE -> SECT_AUDIO_NOPRE

Mon Jun  4 16:06:15 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* crc16.c 1.2
	  Now using Uint*_t

Mon Jun  4 16:02:17 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* crc16.h 1.1
	  date and time created 01/06/04 15:02:17 by joerg

Mon Jun  4 13:33:19 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.68
	  Now using CDR_SRAW*, botchexit Abort removed

Mon Jun  4 12:53:18 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sector.c 1.1
	  date and time created 01/06/04 11:53:18 by joerg

Sun Jun  3 20:51:22 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.8
	  Modifications for RAW Mode

Sun Jun  3 14:48:57 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.122
	  Use comexit()/comerr() instead of exscsi()
	  New Function do_opc() now also called before blank, -force avoids this

Sat Jun  2 21:24:52 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* movesect.h 1.1
	* movesect.c 1.1
	  date and time created 01/06/02 20:24:52 by joerg

Fri Jun  1 07:54:04 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.59
	  burnproof -> burnfree

Fri Jun  1 07:46:01 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.102
	  BURN-Proof (Sanyo) -> Buffer-Underrun-Free recording

Fri Jun  1 07:44:39 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.29
	  call fill_buf() instead of read_buf() and trackp/secno Parameter for Subcode Generator

Fri Jun  1 02:08:55 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.67
	  BURN-Proof -> BURN-Free

Thu May 31 23:31:44 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.25
	  BURN Free & link size new

Thu May 31 03:21:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.66
	  check_writemodes_mmc() new, is_raw() set write modes

Mon May 28 00:51:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cd_misc.c 1.9
	  sec_to_msf() new

Sun May 27 14:01:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* audiosize.c 1.17
	  Better comment

Thu May 24 19:10:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.7
	  No exit() if -debug & nindex > 1

Thu May 24 19:09:39 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.23
	  Warning using default data only if not in Silent mode

Thu May 24 19:07:13 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.52
	* drv_jvc.c 1.56
	* drv_simul.c 1.18
	* drv_philips.c 1.44
	* drv_sony.c 1.47
	  CDR_DAO -> CDR_SAO, SAO no more predefined - it either does not work or is tested automatically (MMC)

Sun May 20 21:23:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.46
	* drv_philips.c 1.43
	  mask sectype with ST_MASK because of new mode bits

Sun May 20 18:51:41 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_simul.c 1.17
	  CDR_SIMUL Flag new

Fri May 18 21:07:58 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.70
	  F_OVERBURN new, F_RAW / is_raw() new, CDR_SIMUL new

Fri May 18 19:30:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.121
	  trackp[0].dbtype is set with Data type from Track 1 

Fri May 18 19:22:50 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.65
	  In open_session() wird nun schon der Datenblocktyp fuer den ersten track eingestellt

Mon May 14 23:36:07 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.120
	  -overburn new
	  Bracket bug with > 90 min Warning removed
	  > 90 Min Warning only if offizial capacity is exceeded (for DVD-R)
	  -pad implied for next Track with -isosize
	  Win32 Priorities are non contiguous (fix in rt_raisepri())

Mon May 14 22:54:17 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.69
	  F_OVERBURN (-overburn) new

Mon May 14 22:53:33 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.58
	  -overburn new, -isosize better documented

Sat Apr 28 23:34:12 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-remote.c 1.5
	  Read char with buffer for cygwin

Fri Apr 20 11:38:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.81
	  scg_svhead() is silent if non verbose

Fri Apr 20 11:34:41 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.66
	  Hack for ide-scsi bug, although there is sense data, SCSI Status is 0 

Thu Apr 19 21:52:41 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.64
	  removed superfluous scgp->silent--; in fixate_mmx(). silent did become negative

Thu Apr 19 21:51:26 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.119
	  Enhance wait time in wait_unit_ready() after blank to 240 s for Mitsumi

Tue Apr 17 00:58:57 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.57
	  Hint for mailman interface

*************** Release 1.10 *******************

Fri Apr 13 20:41:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.118
	  Version -> 1.10 final

Fri Apr 13 20:40:58 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.117
	  Backwardcounter corrected

Fri Apr 13 20:39:09 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.56
	  New Support mail Adresses

Wed Apr 11 01:22:18 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.101
	* cdrecord.h 1.68
	  print_capacity() new with FILE * Parameter

Sun Apr  8 02:03:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.22
	  scgp->silent--; was oat wrong place

Sun Apr  1 14:39:01 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.55
	  Typo

Sat Mar 31 23:02:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.21
	  unit_ready() before each mode_sense()/mode_select()

Sat Mar 31 22:46:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.63
	  Comment for IOMEGA DMA overrun modified (Philips removed)

Sun Mar 18 19:39:48 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.54
	  REMOTE SCSI description and new unified SCSI Options

Sun Mar 18 19:31:31 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.116
	  Unified SCSI Options

Sun Mar 18 19:27:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.80
	  Fixed bug that printed SCSI timing without verbose

Sun Mar 18 18:37:45 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.79
	  New Functions: scg_svhead()/scg_svtail()/scg__sprinterr()
	  Comments for Functions
	  Print SCSI timing for earch failed SCSI Command

Sun Mar 18 18:28:17 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.50
	  New Funstions: scg_svhead()/scg_svtail()/scg__sprinterr()

Sun Mar 18 15:37:09 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.78
	  Print Timing without Verbose

Sun Mar 18 15:10:18 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.27
	* scsi-vms.c 1.29
	* scsi-unixware.c 1.25
	* scsi-sgi.c 1.34
	* scsi-osf.c 1.23
	* scsi-next.c 1.30
	* scsi-linux-sg.c 1.65
	* scsi-hpux.c 1.29
	* scsi-linux-pg.c 1.39
	* scsi-bsd.c 1.40
	* scsi-bsd-os.c 1.26
	* scsi-beos.c 1.19
	* scsi-aix.c 1.33
	  if (scgp->debug) -> if (scgp->debug > 0)

Wed Mar 14 00:42:40 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.49
	* scsitransp.c 1.77
	  scg_verbose() -> scg_vsetup()

Mon Mar 12 23:09:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.115
	  Version -> 1.10a17, select_target() uses FILE *

Mon Mar 12 23:08:46 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.h 1.3
	* scsi_scan.c 1.14
	  comerrno() removed
	  select_target() with FILE *
	  select_target() returns number of Targets

Mon Mar 12 23:06:50 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.67
	* scsi_cdr.c 1.100
	  printinq() new

Mon Mar 12 22:06:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.64
	  Better differentiation SCG_RETRYABLE/SCG_NO_ERROR
	  Set ux_errno if Sense Data present

Sun Mar 11 17:10:12 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-pg.c 1.38
	  SCG_RETRYABLE for DMA overrun
	  CHECK CONDITION == SCG_NO_ERROR

Sun Mar 11 17:07:48 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.76
	  Remove unused Variables

Sun Mar 11 16:56:24 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.48
	  scg_vhead()/scg_vtail()/scg_verbose() & scg_errfflush() new

Sun Mar 11 16:55:55 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.75
	  scg_vhead()/scg_vtail()/scg_verbose() & scg_errfflush() new
	  Version -> 0.5

Sat Mar 10 17:53:45 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.47
	  scgp->bufptr new
	  SCG_KVERSION new

Sat Mar 10 17:52:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.74
	  scgp->bufptr new
	  scgp->scmd->resid < 0 == DMA overrun

Sat Mar 10 16:24:00 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.63
	  SCG_KVERSION new

Mon Feb 26 22:20:32 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.24
	  New formatting

Mon Feb 26 22:18:39 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.23
	  Environment "LIBSCG_SCAN_ALL" controls scanning of Harddisks because of system crash

Mon Feb 26 16:05:41 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.114
	  Warning if DVD-R code is missing and we found a DVD-R drive

Sun Feb 25 13:02:42 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.27
	  Now using mmapdefs.h

Fri Feb 23 17:32:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsidefs.h 1.24
	  ccs() Makro -> is_ccs()

Fri Feb 23 00:24:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.26
	  Support for mmap() on Apollo Domain/OS with mmap(0, &size, ...)

Thu Feb 22 16:13:27 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* audiosize.c 1.16
	  Fixed bug in Prototyp (result from long -> off_t)

Thu Feb 22 16:11:07 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.66
	* wm_packet.c 1.14
	* cdrecord.c 1.113
	* drv_mmc.c 1.62
	* drv_jvc.c 1.54
	* drv_dvd.c 1.51
	  Large File support

Thu Feb 22 16:10:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_jvc.c 1.55
	  padsize Parameter for pad_track() casted to Llong 

Thu Feb 22 00:57:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.21
	  mconfig.h/unixstd.h for Large Files

Thu Feb 22 00:55:35 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.13
	  #include <mconfig.h> for Large Files

Thu Feb 22 00:54:26 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.25
	  Large File support
	  Casts for sizeof() [long] on MaxOS X

Wed Feb 21 23:32:51 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.6
	  #include unixstd.h for Large Files

Wed Feb 21 23:27:48 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.6
	* isosize.c 1.7
	* audiosize.c 1.15
	  Large File support

Tue Feb 20 23:56:44 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.45
	* drv_philips.c 1.42
	  unixstd.h for sys/types.h for off_t in cdrecord.h

Thu Feb 15 23:09:12 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.37
	  Test for HAVE_BSD_DEV_SCSIREG_H for new MacOSX

Fri Feb  9 00:35:50 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.41
	  Fixes for Plasmon RF 4100

Tue Jan 23 12:20:32 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.20
	  Cast for singed/unsigned cmparison

Mon Jan 15 01:09:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.24
	  %x -> %p Format

Sun Jan  7 19:46:42 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.36
	  scsi-apollo.c new

Sun Jan  7 19:39:40 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.73
	* scsi-vms.c 1.28
	* scsi-unixware.c 1.22
	* scsi-linux-pg.c 1.37
	* scsi-aix.c 1.32
	  sense_len check -> scsitransp.c

Tue Jan  2 00:09:45 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.72
	  sccsid[] is always used -> without #ifdef lint

Fri Dec 29 00:06:35 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.112
	  Lint, 1.10a10, rlimit cast to Llong for SGI

Thu Dec 28 23:19:23 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.99
	  Modified for Lint

Wed Dec 20 18:26:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sgi.c 1.33
	  Cast to caddr_t for SENSEBUF(dsp)

Wed Dec 13 20:22:52 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-pg.c 1.36
	  Cast s_cmd.addr = (caddr_t)sp->u_sense.cmd_sense;

Tue Dec 12 15:20:46 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.46
	  struct scsi -> struct scg_scsi for AIX

Sat Dec  9 22:52:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.62
	  Recognise ENOTTY as errno for failed ioctl()

Sat Dec  9 18:20:25 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.19
	* scsilog.c 1.13
	* drv_sony.c 1.44
	* drv_philips.c 1.40
	* drv_mmc.c 1.61
	* drv_jvc.c 1.53
	* drv_dvd.c 1.50
	  u_char -> Uchar

Wed Dec  6 12:43:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.111
	  atoll() -> libschily

Wed Nov 29 17:22:15 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.27
	  Indented

Wed Nov 29 17:18:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.26
	  ATAPI Support and changed for new libscg Interface

Fri Nov 24 11:00:58 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.110
	  Workaround for ACER drive that does not return from -dummy
	  Typo in  online Help

Wed Nov  8 00:06:05 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.45
	* scsireg.h 1.24
	* scsidefs.h 1.23
	* scgio.h 2.16
	  #ifdef __cplusplus extern "C" {

Sat Nov  4 15:00:50 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.23
	* cdrecord.c 1.109
	  Printf-like Formats cleaned up

Sat Nov  4 14:56:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.98
	  PIONEER CD-WO DR-R504X -> DEV_PIONEER_DW_S114X

Sat Nov  4 14:52:43 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.65
	  DEFAULT_FIFOSIZE -> Long Constant

Tue Oct 31 15:58:54 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.108
	  Cygwin-1.x Compatibility

Sun Oct 22 13:37:15 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-aix.c 1.31
	  Type in sizeof(devname removed

Tue Oct 17 10:35:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.53
	  SEE ALSO enhanced

Fri Oct 13 11:28:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.61
	  use pg_version() only for PP

Wed Sep 20 00:59:38 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.18
	  Code reordered so DMA overrun messages only appears once

Sun Sep 17 17:15:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.64
	  #define sample -> #define msample for Win32

Fri Sep  8 03:04:50 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.17
	  Warning for Philips DMA overrun

Wed Sep  6 23:41:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.97
	  unit_ready() made better

Wed Sep  6 09:59:05 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.71
	* scsitransp.h 1.44
	  scg_cmderr() -> scg_cmd_err(), scg_cmd_status() new

Tue Sep  5 03:32:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.70
	  Default printing to stderr

Tue Sep  5 03:06:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.69
	  scg__open() returns -1 when SCGO_OPEN fails, to avoid calling scg_fileno()

Tue Sep  5 02:30:41 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.96
	  allow_atapi() calls unit_ready() before mode_sense() to make it work past a reset

Tue Sep  5 02:28:03 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.16
	  Minimal transfer sizeof(struct scsi_mode_header) after DMA overrun

Tue Sep  5 02:22:48 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.60
	  read_toc()/read_disk_info() reads minimal 4 bytes for Philips ATAPI drives

Mon Sep  4 20:24:52 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.52
	  Typo removed

Sat Sep  2 21:16:00 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.43
	  Drive flags new in SCSI *

Sat Sep  2 21:03:48 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.26
	* scsi-vms.c 1.25
	* scsi-unixware.c 1.21
	* scsi-sgi.c 1.32
	* scsi-osf.c 1.22
	* scsi-os2.c 1.21
	* scsi-next.c 1.29
	* scsi-linux-sg.c 1.60
	* scsi-linux-pg.c 1.35
	* scsi-hpux.c 1.28
	* scsi-bsd.c 1.39
	* scsi-bsd-os.c 1.25
	* scsi-aix.c 1.30
	* scsi-beos.c 1.18
	  All debug printing to stderr (scgp->errfile)

Tue Aug 29 23:44:31 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-next.c 1.28
	* scsi-bsd-os.c 1.24
	  error codes & return harmonised

Tue Aug 29 02:36:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.59
	  set curspeed only if > 0 (SCSI-3 floating point exception in waitfix)

Tue Aug 29 02:35:04 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.12
	  call scg_settarget() in scanbus, to make sure SCSI address for scg_initator_id() is OK

Sat Aug 26 10:20:43 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.58
	  OPC Hack for strange drive that returns from OPC with "UNIT ATTENTION/operator selected write permit"

Sat Aug 26 10:15:03 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.107
	  Enhancements for remote SCSI, scg_reset() with what Parameter

Sat Aug 26 00:53:10 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.35
	* scsitransp.c 1.68
	  scsibus/target/lun acess now only with scg_scsibus()/scsi_target()/scg_lun() and scg_settarget()
	  do not initialize target in struct scg_cmd because this is now done in SCG lowlevel code
	  scg__open() from scsihack.c -> scsitransp.c, scg_settarget() -> scgsettarget.c
	  dummy code it now always present

Sat Aug 26 00:22:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.42
	  scg_settarget() -> scgsettarget.c

Fri Aug 25 23:17:25 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.25
	* scsi-vms.c 1.24
	* scsi-unixware.c 1.20
	* scsi-sgi.c 1.31
	* scsi-osf.c 1.21
	* scsi-os2.c 1.20
	* scsi-next.c 1.27
	* scsi-linux-sg.c 1.59
	* scsi-linux-pg.c 1.34
	* scsi-hpux.c 1.27
	* scsi-bsd.c 1.38
	* scsi-bsd-os.c 1.23
	* scsi-beos.c 1.17
	* scsi-aix.c 1.29
	  scsibus/target/lun acess now only with scg_scsibus()/scsi_target()/scg_lun() and scg_settarget()
	  do not initialize target in struct scg_cmd because this is now done in SCG lowlevel code

Thu Aug 24 00:52:32 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.41
	  scg Address Stucture new
	  scg__open() without bus/target/lun Parameter
	  scg_remote() new

Wed Aug 23 22:44:26 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.11
	* scsilog.c 1.12
	* drv_dvd.c 1.49
	* drv_jvc.c 1.52
	* drv_philips.c 1.39
	* drv_sony.c 1.43
	* scsi_cdr.c 1.95
	  scsibus/target/lun acess now only with scg_scsibus()/scsi_target()/scg_lun() and scg_settarget()
	  do not initialize target in struct scg_cmd because this is now done in SCG lowlevel code

Sun Aug 20 20:57:32 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.40
	* scsitransp.c 1.67
	* scsihack.c 1.34
	* scsi-linux-sg.c 1.58
	* scsi-linux-pg.c 1.33
	* scsi-sgi.c 1.30
	* scsi-next.c 1.26
	* scsi-hpux.c 1.26
	* scsi-bsd.c 1.37
	* scsi-aix.c 1.28
	* scsi_scan.c 1.10
	  Now using scg_settarget()

Sat Aug 19 23:24:03 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.66
	* scsihack.c 1.33
	* scsi-wnt.c 1.24
	* scsi-vms.c 1.23
	* scsi-unixware.c 1.19
	* scsi-sgi.c 1.29
	* scsi-osf.c 1.20
	* scsi-os2.c 1.19
	* scsi-next.c 1.25
	* scsi-linux-sg.c 1.57
	* scsi-linux-pg.c 1.32
	* scsi-hpux.c 1.25
	* scsi-bsd.c 1.36
	* scsi-beos.c 1.16
	* scsi-bsd-os.c 1.22
	* scsi-aix.c 1.27
	* scsitransp.h 1.38
	  scg_reset() with Function code Parameter

Sat Aug 19 22:37:30 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.63
	* scsitransp.h 1.39
	  #ifdef's modified for new #define _SCG_*_H

Sat Aug 19 21:57:31 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.23
	* scsidefs.h 1.22
	* scgio.h 2.15
	  Correctly made multi include safe with #ifdef _SCG_*

Sat Aug 19 21:05:25 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.65
	  sys/param.h removed

Sat Aug 19 20:52:31 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.37
	  Now using scg_ops
	  Remote Version #defines, scg__version() removed

Sat Aug 19 20:23:20 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sgi.c 1.28
	* scsi-osf.c 1.19
	* scsierrs.c 2.26
	* scsitransp.c 1.64
	* scsireg.h 1.22
	  u_char -> Uchar

Sat Aug 19 19:13:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.63
	* scsihack.c 1.32
	  scsitransp.c and scsihack.c separated

Sat Aug 19 17:30:28 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.21
	  Status & Sense Definitions from scsireg.h

Fri Aug 18 10:40:48 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.22
	* scsi-wnt.c 1.23
	* scsi-unixware.c 1.18
	* scsi-sgi.c 1.27
	* scsi-osf.c 1.18
	* scsi-os2.c 1.18
	* scsi-next.c 1.24
	* scsi-linux-sg.c 1.56
	* scsi-linux-pg.c 1.31
	* scsi-hpux.c 1.24
	* scsi-bsd.c 1.35
	* scsi-bsd-os.c 1.21
	* scsi-beos.c 1.15
	* scsihack.c 1.31
	* scsi-aix.c 1.26
	* scsitransp.c 1.62
	  Now uses scg_ops Structure and calling via pointers

Thu Aug 17 22:50:53 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.61
	  Bracketing typo in scg_sprintresult() removed (printed junk)

Wed Aug 16 10:11:08 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.22
	* scsi-vms.c 1.21
	* scsi-unixware.c 1.17
	* scsi-sgi.c 1.26
	* scsi-os2.c 1.17
	* scsi-osf.c 1.17
	* scsi-next.c 1.23
	* scsi-linux-sg.c 1.55
	* scsi-hpux.c 1.23
	* scsi-linux-pg.c 1.30
	* scsi-bsd.c 1.34
	* scsi-beos.c 1.14
	* scsi-bsd-os.c 1.20
	* scsi-aix.c 1.25
	* scsihack.c 1.30
	* scsitransp.c 1.60
	  scg_send() now only with scgp* Parameter

Sun Aug 13 23:31:37 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.59
	  Buggy braketing corrected (printed 4-5 null Bytes to error output even in silent mode)

Fri Aug  4 01:26:24 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.36
	* scsitransp.c 1.58
	  Komplett umgebaut damit die Fehlerausgabe in einen String erfolgt

Tue Aug  1 00:03:45 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.35
	* scsitransp.c 1.57
	* scsierrs.c 2.25
	* scsi-wnt.c 1.21
	* scsi-vms.c 1.20
	* scsi-unixware.c 1.16
	* scsi-sgi.c 1.25
	* scsi-osf.c 1.16
	* scsi-os2.c 1.16
	* scsi-next.c 1.22
	* scsi-linux-sg.c 1.54
	* scsi-linux-pg.c 1.29
	* scsi-hpux.c 1.22
	* scsi-bsd.c 1.33
	* scsi-bsd-os.c 1.19
	* scsi-beos.c 1.13
	* scsi-aix.c 1.24
	  All printf()'s -> js_printf(), sprintf() -> snprintf()

Sun Jul 30 15:15:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.56
	* scsitransp.h 1.34
	  scg_prbytes()/scg_prsense() & scg_printdev() INterface restructured

Sun Jul 30 13:52:05 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* wm_packet.c 1.13
	* scsi_scan.c 1.9
	* scsilog.c 1.11
	* cdrecord.c 1.106
	* scsi_cdr.c 1.94
	* modes.c 1.15
	* drv_sony.c 1.42
	* drv_simul.c 1.16
	* drv_philips.c 1.38
	* drv_mmc.c 1.57
	* drv_jvc.c 1.51
	* drv_dvd.c 1.48
	  Restructured for new libscg with scg_*()

Thu Jul 27 01:17:47 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.55
	  scg_prbytes()/scg_printdev() now using FILE * Parameter
	  scg__errmsg() restructured to be similar to snprintf()

Thu Jul 27 01:15:54 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsierrs.c 2.24
	  Made similar to snprintf()

Thu Jul 27 01:15:02 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.33
	  scg_prbytes()/scg_printdev() now using FILE * Parameter
	  scg__errmsg() restructured to be similar to snprintf()

Sun Jul 23 18:01:12 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsierrs.c 2.23
	* scsihack.c 1.29
	* scsitransp.c 1.54
	* scsi-wnt.c 1.20
	* scsi-vms.c 1.19
	* scsi-unixware.c 1.15
	* scsi-osf.c 1.15
	* scsi-sgi.c 1.24
	* scsi-os2.c 1.15
	* scsi-next.c 1.21
	* scsi-linux-sg.c 1.53
	* scsi-linux-pg.c 1.28
	* scsi-hpux.c 1.21
	* scsi-bsd.c 1.32
	* scsi-beos.c 1.12
	* scsi-bsd-os.c 1.18
	* scsi-aix.c 1.23
	* scsitransp.h 1.32
	  restructured to use scg_ basieed Function names

Sun Jul 23 00:28:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.31
	  open_scsi()/close_scsi()/... -> scg_open()/scg_close/...

Thu Jul 20 20:12:42 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.51
	  Note for Volmgt & Solaris/USCSI

*************** Release 1.9 *******************

Thu Jul 20 19:49:20 2000 joerg
	* diskid.c 1.28
	  New Manufacturer: "Grand Advance Technology LTD."

Thu Jul 20 19:12:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.105
	  Version -> 1.9
	  99 Minute check better

Mon Jul  3 01:19:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.52
	  Type fixed in !scglocal(scgp)->drvers < 0 

Mon Jul  3 00:11:20 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.93
	* drv_sony.c 1.41
	* drv_dvd.c 1.47
	* drv_mmc.c 1.56
	* cdrecord.h 1.62
	* cd_misc.c 1.8
	  msf_to_lba() with force_positive Flag for 99 Minute CD's

Sun Jul  2 23:22:00 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.51
	  scsi_raisedma() only for Kernel-2.2.10 and newer

Sat Jul  1 13:40:49 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.50
	  New allocated copy buffer in SCSI * -> local for raisedma

Sat Jul  1 13:22:49 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.53
	* scsi-wnt.c 1.19
	* scsi-vms.c 1.18
	* scsi-unixware.c 1.14
	* scsi-sgi.c 1.23
	* scsi-osf.c 1.14
	* scsi-os2.c 1.14
	* scsi-next.c 1.20
	* scsi-linux-sg.c 1.49
	* scsi-linux-pg.c 1.27
	* scsi-hpux.c 1.20
	* scsi-bsd.c 1.31
	* scsi-bsd-os.c 1.17
	* scsi-beos.c 1.11
	* scsi-aix.c 1.22
	  maxdma/maxbuf new in SCSI *
	  scsi_getbuf() now calls scsi_bufsize() to init new members

Sat Jul  1 13:09:43 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.30
	  maxdma/maxbuf new in SCSI *

Fri Jun 30 18:43:43 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.48
	  scsi_raisedma() now called with correct DMA Buffersize

Fri Jun 30 18:38:48 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.52
	* scsihack.c 1.28
	* scsi-wnt.c 1.18
	* scsi-vms.c 1.17
	* scsi-unixware.c 1.13
	* scsi-sgi.c 1.22
	* scsi-sco.c 1.14
	* scsi-osf.c 1.13
	* scsi-os2.c 1.13
	* scsi-next.c 1.19
	* scsi-linux-sg.c 1.47
	* scsi-hpux.c 1.19
	* scsi-linux-pg.c 1.26
	* scsi-bsd.c 1.30
	* scsi-beos.c 1.10
	* scsi-bsd-os.c 1.16
	* scsi-aix.c 1.21
	  scsi_maxdma() now with 2nd Parameter "amt" for Linux sg driver

Tue Jun 27 19:29:05 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.55
	  Disk Subtype decoder for High Speed RW

Tue Jun 27 19:19:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.104
	  Support for 99 Minute CD's

Tue Jun 27 19:17:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.27
	  99 Minute media in table

Mon Jun 26 22:40:39 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.26
	  Bestdisc Technology Corporation new

Mon Jun 26 22:29:17 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-bsd.c 1.29
	* scsi-bsd-os.c 1.15
	* scsi-sgi.c 1.21
	* scsi-linux-sg.c 1.46
	* scsi-linux-pg.c 1.25
	* scsi-next.c 1.18
	  better error messages into scgp->errstr

Fri Jun 23 23:52:39 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.45
	  pvers && isold -> scglocal

Fri Jun 23 23:23:33 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.44
	  Variable pvers only conditional for unused... warning

Fri Jun 23 23:19:00 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.43
	  Support for SG_IO ioctl()

Fri Jun 23 21:40:38 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.29
	  overbose new

Thu Jun 22 15:20:18 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.42
	  SG_SCSI_RESET & SG_SET_RESERVED_SIZE new

Wed Jun 21 10:34:52 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-pg.c 1.24
	  Test with ATAPI SCSI status code

Wed Jun 21 10:33:31 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.51
	  scsitransp.c split into scsitransp.c & scsi-sun.c

Wed Jun 21 10:27:11 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.27
	  scsi-sun.c new

Tue Jun 20 07:20:40 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.28
	  secured _SCGIO_H -> _SCG_SCSISENSE_H

Tue Jun 20 06:09:57 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-bsd.c 1.28
	  ATAPI Support for OpenBSD

Sun Jun  4 00:55:02 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.103
	  #include <sys/select.h> for select() (autoconf Test for AIX), version -> 1.9a02

Sat Jun  3 17:31:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.102
	  New Option -shorttrack/-noshorttrack

Fri Jun  2 22:37:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.61
	  New Flag TI_SHORT_TRACK & is_shorttrk() macro

Fri Jun  2 22:32:59 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.50
	  New Optionen -shorttrack & -noshorttrack

Fri Jun  2 21:44:43 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.5
	  Prevent a buffer overrrun with dev= option

Fri Jun  2 21:43:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.5
	  Check for buffer ovverun

Fri Jun  2 00:03:13 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.54
	  Set Pregapsize to 1 if the drive does not support 0
	  free(cue) if cuep == NULL

Tue May 30 02:46:22 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.25
	  Restructured

Tue May 30 01:06:32 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.24
	  New manufacturers: "WEALTH FAIR INVESTMENT LIMITE", "General Magnetics Ld", "MPO"

Tue May 30 00:59:12 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.27
	  debug Parameter -> odebug

Mon May 29 19:07:56 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-next.c 1.17
	  Typo corrected max_scsibus -> scglocal(scgp)->max_scsibus

Mon May 29 00:31:18 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.20
	  Mode page 2A pw_in_lead_in & side_change new

Mon May 29 00:13:25 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.92
	  More Page 2A bits for cdrecord -prcap

Sun May 28 18:52:11 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.16
	  scsi_close() now works

Sun May 28 18:40:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.49
	  -fix hint for CDR-50 & CDR-55 specified

Sun May  7 16:52:20 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.91
	* scsilog.c 1.10
	* scsi_scan.c 1.8
	* auinfo.c 1.4
	* cd_misc.c 1.7
	* audiosize.c 1.14
	* cdr_drv.c 1.20
	* fifo.c 1.22
	* defaults.c 1.4
	* wm_packet.c 1.12
	* modes.c 1.14
	* cdrecord.c 1.101
	* drv_sony.c 1.40
	* drv_simul.c 1.15
	* drv_philips.c 1.37
	* drv_mmc.c 1.53
	* drv_jvc.c 1.50
	* drv_dvd.c 1.46
	* scsierrs.c 2.22
	* scsitransp.c 1.50
	  #include <schily.h>

Sun May  7 16:46:39 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.90
	  New DVD recognition, to allow Ricoh 9060

Sun May  7 16:11:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.26
	  Support for new Mac OS X

Mon May  1 20:06:37 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.49
	  scsi_maxmdma() cleaned up

Thu Apr 27 15:06:42 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.48
	  Examples for cdda2wav

Thu Apr 27 14:22:19 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.52
	  No more error message forSony & long write in progress when Fixating

Thu Apr 27 14:17:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.23
	  Better message for illegal ID (CD-RW)
	 all old CD-R's now print ILLEGAL OLD CODE

Wed Apr 26 11:50:19 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.100
	* cdrecord.h 1.60
	* scsi_cdr.c 1.89
	* drv_jvc.c 1.49
	* drv_dvd.c 1.45
	  scsi_close_tr_session()/scsi_blank() with immed Parameter

*************** Release 1.8.1 *******************

Thu Apr 27 14:22:19 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.52
	  No error message for Sony & long write in progress while fixating

Thu Apr 27 14:17:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.23
	  Better printout with illegal ID for CD-RW, all old CD-R's now give ILLEGAL OLD CODE

Wed Apr 26 11:50:19 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.100
	* cdrecord.h 1.60
	* scsi_cdr.c 1.89
	* drv_jvc.c 1.49
	* drv_dvd.c 1.45
	  scsi_close_tr_session()/scsi_blank() with immed Parameter

Mon Apr 24 12:32:14 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.99
	  Version -> 1.8.1 final, exitcode == 0 only if fixating in Dummy Mode fails

Sat Apr 22 15:37:05 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.22
	  New manufacturer "VICTOR COMPANY OF JAPAN, LIMITED", "VIVASTAR AG"

Sun Apr 16 17:07:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.47
	  BURN-Proof Option for Sanyo

Sun Apr 16 17:07:11 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.51
	  BURN-Proof Support for Sanyo

Sun Apr 16 17:06:30 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.98
	  New Option driveropts=
	  better -dao usage

Sun Apr 16 03:11:26 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.88
	  display BURN-Proof for cdrecord -prcap

Sun Apr 16 03:08:58 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.3
	* cdrecord.dfl 1.2
	  driveropts new

Sun Apr 16 02:16:29 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.39
	* cdrecord.h 1.59
	* drv_simul.c 1.14
	* drv_philips.c 1.36
	* drv_jvc.c 1.48
	* drv_dvd.c 1.44
	  open_session() now with cdr_t * Parameter for BURN-Proof

Mon Apr  3 21:05:37 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-pg.c 1.23
	  #include <string.h> for strlen()

Sat Apr  1 21:59:19 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.21
	  New manufaturer: "TAROKO INTERNATIONAL CO.,LTD.", "UNIDISC TECHNOLOGY CO.,LTD", "Hong Kong Digital Technology Co., Ltd.", "VIVA MAGNETICS LIMITED"

Sat Mar 11 12:31:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.87
	  Sanyo CRD-R24S -> Philips CDD 521

Sat Mar 11 12:30:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.50
	  send_opc_mmc() now calls send_opc() and suppresses ILLEGAL_REQUEST

Sat Mar 11 12:26:37 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.46
	  WeB address changed

Sun Feb 20 21:54:33 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.58
	* cdrecord.c 1.97
	* cdrecord.1 1.45
	  New Option -waiti for multi session from Pipe from mkisofs

Sun Feb 20 20:56:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.96
	  scsi_in_progress() Test and usleep(100000) if Long Write in Progress

Sun Feb 20 20:54:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.49
	  scsi_in_progress() test for scsi_flush_cache() in fixate, send_cue() -> LOCAL

Sun Feb 20 20:52:49 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.57
	  scsi_in_progress() new, send_cue() removed

Sun Feb 20 20:52:15 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.86
	  scsi_in_progress() new

Sat Feb 19 00:38:35 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.95
	  read Sectorsize from read_capacity too, for drivs without Blockdescriptor, dp->cdr_opc() new

Sat Feb 19 00:33:54 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.85
	  send_opc() new

Sat Feb 19 00:24:37 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.56
	* drv_sony.c 1.38
	* drv_simul.c 1.13
	* drv_philips.c 1.35
	* drv_mmc.c 1.48
	* drv_jvc.c 1.47
	* drv_dvd.c 1.43
	  Separate OPC code in driver interface

Sun Feb  6 08:27:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-sgi.c 1.20
	* scsi-openserver.c 1.17
	* scsi-linux-sg.c 1.41
	* scsi-aix.c 1.20
	* scsi-bsd-os.c 1.14
	* scsi-hpux.c 1.18
	* scsi-linux-pg.c 1.22
	* scsi-bsd.c 1.27
	  added missing brackets in scsi_close() to make sure that scsi_close() really closes files

Sun Feb  6 08:25:14 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.40
	  Maxdma now is correcteven if only a prallel port is present

*************** Release 1.8 *******************

Fri Jan 28 10:01:48 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.47
	* drv_dvd.c 1.42
	  load_media() with new doexit Parameter
	  Reload now does not make problems with notebook type drives

Fri Jan 28 09:51:26 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.34
	* cdrecord.h 1.55
	* cdrecord.c 1.94
	  load_media() with new doexit Parameter

Fri Jan 28 09:50:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.84
	  wait_unit_ready() does not print error message if scgp->silent >= 1 

Wed Jan 26 11:48:08 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.7
	  Initiator-ID test past havebus()

Sun Jan 23 16:39:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.93
	  Better error message for open_scsi()

Sun Jan 23 16:07:46 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-unixware.c 1.9
	  New code from SCO, -scanbus now works

Sun Jan 23 00:44:28 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.25
	  scsi-sco.c -> scsi-openserver.c

Tue Jan 18 00:02:33 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.92
	  Version -> 1.8, mlockall()/setpri() problems do not cause abort
	  Note to -pad option for audio Files with wrong length
	  #include <sys/procset.h> for SCO Openserver

Thu Jan 13 01:32:35 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.20
	  Problems with m_digitalstor (97:27/01) in table docuented

Thu Jan 13 01:11:45 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.2
	  CDR_DEVICE now superseedes /etc/default/cdrecord

Tue Jan 11 01:46:47 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-hpux.c 1.17
	  sprintf(.../dev/rscsi...) now uses hex digits for tgt 0..15

Sat Jan  8 23:42:25 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.83
	  scsi_read() now looks for is_atapi to allow mkisofs & ATAPI to do multi-session 

Fri Jan  7 02:24:28 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.24
	  Dummyfunctions fuor new Interface

Fri Jan  7 02:22:36 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.19
	  set_cdrcmds() now calls return() past exit() for lint's sake

Wed Dec 29 14:01:03 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.91
	  exargs Strukt new
	  Setting to 2048 bytes/sector earlier for -msinfo
	  new function exscsi()
	  exfifo() -> excdr()

Wed Dec 29 02:14:11 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.54
	* fifo.c 1.21
	  wait_faio() new

Wed Dec 29 00:38:52 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.19
	  New manufacturer: "Hile Optical Disc Technology Corp."
			  "Friendly CD-Tek Co."
			  "Sound Sound Multi-Media Development Limited"
			  "kdg mediatech AG"

Wed Dec 29 00:34:39 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.44
	  better dociumentation for SUID Installation 

Fri Dec 24 01:59:35 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.20
	  sp null pointer Problem in fifo_stats() fixed
	  input-buffer -> input buffer

Tue Dec  7 01:07:24 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.43
	  added missing .TP 

Sun Dec  5 13:37:16 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.19
	  kill_fifo() now kil only if faio_pid > 0

Sat Dec  4 21:36:38 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.18
	  New manufacturer: EXIMPO & Seantram Technology Inc.
	  Seantram has been guessed before

Sat Dec  4 14:15:16 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.90
	  intfifo()/exfifo() new
	  kill FIFO on comerr() and signals

Sat Dec  4 14:12:41 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.41
	  isgui as with drv_mmc.c added

Tue Nov 30 14:48:12 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.23
	* scsi-linux-pg.c 1.21
	  pg.h now locally available

Sat Nov 27 21:38:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-os2.c 1.12
	  SRB in scsi_send() and scsi_reset() -> static to prevent core dump

Sat Nov 20 17:49:38 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-os2.c 1.11
	  scgfiles array removed
	  set_error() new
	  added some ux_errno = EIO
	  wait_post() now calls DosResetEventSem() in any case

Sat Nov 20 14:21:09 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-os2.c 1.10
	  DEBUG2/SCANDEBUG code removed

Sat Nov 20 07:23:59 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.17
	  New manufacturer: Customer Pressing Oosterhout
			  Harmonic Hall Optical Disc Ltd.
			  DELPHI TECHNOLOGY INC.

Sat Nov 20 06:45:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.89
	  Version -> 1.8a32
	  5 missing set_secsize(.. oldsize) added

Sat Nov 20 06:44:02 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.18
	  Kodak PDC-600 in driver recognition

Sat Nov 20 06:43:12 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.46
	  next_wr_addr() in driver struct for CD-ROM -> cmd_ill() 

Sat Nov 20 06:41:39 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.18
	  fixed typo for HAVE_DOSALLOCSHAREDMEM

Fri Nov 12 10:00:19 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.48
	  scsi_yes() now global

Fri Nov 12 09:59:49 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.26
	  scsi_yes() new

Mon Oct 18 02:38:11 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.88
	  always set TAO mode on startup to make checkdsize() working

Mon Oct 18 01:34:34 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsilog.c 1.9
	* scsi_cdr.c 1.82
	  i_to_short() -> i_to_2_byte()

Mon Oct 18 01:15:21 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsilog.c 1.8
	* scsi_cdr.c 1.81
	* drv_dvd.c 1.40
	* drv_mmc.c 1.45
	* drv_philips.c 1.33
	* iso9660.h 1.4
	  a_to_u_short() -> a_to_u_2_byte()

Mon Oct 18 01:04:17 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isosize.c 1.6
	  utypes.h wegen intcvt.h

Mon Oct 18 00:38:01 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.80
	* drv_sony.c 1.37
	* drv_jvc.c 1.46
	* drv_dvd.c 1.39
	  a_to_3_byte() -> a_to_u_3_byte()

Mon Oct 18 00:10:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.38
	* drv_sony.c 1.36
	* drv_jvc.c 1.45
	* drv_philips.c 1.32
	  i_to_long() -> i_to_4_byte()

Mon Oct 18 00:04:43 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.79
	* isosize.c 1.5
	* drv_dvd.c 1.37
	* drv_mmc.c 1.44
	* drv_jvc.c 1.44
	* drv_sony.c 1.35
	* drv_philips.c 1.31
	* audiosize.c 1.13
	* cdrecord.c 1.87
	  modified to use intcvt.h and a_to_4_byte()

Sun Oct 17 23:21:40 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.3
	  removed i_to_* and a_to_* macros -> intcvt.h

Sun Oct 17 22:51:51 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsireg.h 1.19
	  struct scsi_capacity modified to use Int32_t 

Sat Oct 16 13:52:29 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.78
	* drv_mmc.c 1.43
	* auinfo.c 1.3
	* drv_sony.c 1.34
	  malloc() casts for K&R C

Fri Oct 15 20:28:25 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.53
	* cdr_drv.c 1.17
	* cdrecord.c 1.86
	  set_cdrmds() if 2. Parameter is NULL returns BOOL
	  for cdrecord to check for dvd driver or not

Fri Oct 15 20:19:36 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.77
	  Optima Dis Covery 650 CD-R Inquiry recognition new

Fri Oct 15 20:17:17 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-beos.c 1.9
	* scsi-osf.c 1.12
	  typos removed

Thu Oct  7 15:33:17 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-bsd-os.c 1.13
	* scsi-aix.c 1.19
	  mising bracket  in scsi_open() fixed

Fri Sep 17 17:59:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.85
	  Version -> 1.8a29
	  libscg version check
	  #incude <vadefs.h> for win32 realtime pri Code

Fri Sep 17 17:56:57 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.76
	  endless lookp in mmc_cap() removed: no medium (wait_unit_ready())

Fri Sep 17 15:48:09 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.47
	  HAVE_SCG #define earlier

Fri Sep 17 15:42:39 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-pg.c 1.20
	  duplicates with scsi-linux-sg.c fuer scg__version() removed

Fri Sep 17 15:36:55 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.46
	  #ifdef HAVE_SCG for _scg_trans_version[]

Fri Sep 17 15:09:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.17
	* scsi-vms.c 1.15
	* scsi-unixware.c 1.8
	* scsi-sgi.c 1.19
	* scsi-osf.c 1.11
	* scsi-sco.c 1.13
	* scsi-os2.c 1.9
	* scsi-next.c 1.16
	* scsi-linux-sg.c 1.39
	* scsi-linux-pg.c 1.19
	* scsi-hpux.c 1.16
	* scsi-bsd.c 1.26
	* scsi-bsd-os.c 1.12
	* scsi-beos.c 1.8
	* scsi-aix.c 1.18
	* scsitransp.c 1.45
	* scsitransp.h 1.25
	  scg_version() new

Fri Sep 17 14:55:17 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.22
	  Comment changed

Tue Sep 14 10:57:29 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.38
	  scgfile variable in max_dma corrected from scgfile -> scglocal(scgp)->scgfile

Fri Sep 10 14:06:19 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.16
	  Better text for Disk Typ (e.g. Long strategy type)

Thu Sep  9 12:30:38 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.2
	  isrc_illchar() Prorotype new

Wed Sep  8 17:57:45 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.15
	  New manufacturer: Guann Yinn Co. Ltd.
			  Opti.Me.S. S.p.A.
		  Nacar Media srl

Wed Sep  8 12:45:37 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.16
	  missing bracket at malloc(amt)

Tue Sep  7 17:13:09 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.15
	* scsi-unixware.c 1.7
	* scsi-vms.c 1.14
	* scsi-sgi.c 1.18
	* scsi-sco.c 1.12
	* scsi-osf.c 1.10
	* scsi-next.c 1.15
	* scsi-os2.c 1.8
	* scsi-linux-sg.c 1.37
	* scsi-linux-pg.c 1.18
	* scsi-hpux.c 1.15
	* scsi-bsd.c 1.25
	* scsi-beos.c 1.7
	* scsi-bsd-os.c 1.11
	* scsi-aix.c 1.17
	* scsitransp.c 1.44
	  First error messages past scgp->errstr
	  less calls to comerr()

Tue Sep  7 17:07:55 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.24
	  errstr & errptr new in SCSI *
	  open_scsi() with errs Parameter

Tue Sep  7 16:47:21 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.84
	  Now using new open_scsi()
	  added some calls to flush()

Tue Sep  7 16:46:04 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.42
	  1.6 -> 1.8

Tue Sep  7 00:21:08 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.42
	* drv_jvc.c 1.43
	* drv_dvd.c 1.36
	  flush() for Blanking new

Fri Sep  3 11:57:35 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.36
	* scsi-linux-pg.c 1.17
	  scsi_initiator_id() in scsi-linux-pg.c -> pg_initiator_id()

Thu Sep  2 18:57:59 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.83
	  1.8a24 -> 1.8a26
	  Ricoh DAO Bug (fwa != -150) workaround
	  Realtimepri for Win32

Thu Sep  2 14:42:14 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.6
	  scsi_initiator_id() new
	  Now prints bus,tgt,lun before selektor

Thu Sep  2 13:32:57 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.23
	* scsi-wnt.c 1.14
	* scsi-vms.c 1.13
	* scsi-unixware.c 1.6
	* scsi-sco.c 1.11
	* scsi-sgi.c 1.17
	* scsi-osf.c 1.9
	* scsi-os2.c 1.7
	* scsi-next.c 1.14
	* scsi-linux-sg.c 1.35
	* scsi-hpux.c 1.14
	* scsi-linux-pg.c 1.16
	* scsi-bsd.c 1.24
	* scsi-bsd-os.c 1.10
	* scsi-aix.c 1.16
	* scsi-beos.c 1.6
	* scsitransp.c 1.43
	  scsi_initiator_id() new

Mon Aug 30 13:36:17 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.42
	* drv_simul.c 1.12
	* fifo.c 1.17
	  #include libport.h new

Sun Aug 29 01:42:10 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.16
	  shared memory for OS/2

Sun Aug 29 00:52:56 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.15
	  Typo fixed (\f instead of \n)

Tue Aug 10 21:34:03 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.41
	* scsi-wnt.c 1.13
	* scsi-vms.c 1.12
	* scsi-unixware.c 1.5
	* scsi-sco.c 1.10
	* scsi-sgi.c 1.16
	* scsi-osf.c 1.8
	* scsi-os2.c 1.6
	* scsi-next.c 1.13
	* scsi-linux-sg.c 1.34
	* scsi-linux-pg.c 1.15
	* scsi-hpux.c 1.13
	* scsi-bsd.c 1.23
	* scsi-bsd-os.c 1.9
	* scsi-beos.c 1.5
	* scsi-aix.c 1.15
	  Static locale variable removed
	  Test for openbydev
	  scsi_freebuf() new

Mon Aug  9 00:39:37 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.22
	  SCSI *->bufbase & scsi_freebuf() new

Sat Aug  7 22:24:46 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.21
	  running/curcmdname/local new in SCSI *

Sat Aug  7 22:22:36 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.40
	* scsi-wnt.c 1.12
	* scsi-vms.c 1.11
	* scsi-unixware.c 1.4
	* scsi-sgi.c 1.15
	* scsi-sco.c 1.9
	* scsi-osf.c 1.7
	* scsi-os2.c 1.5
	* scsi-next.c 1.12
	* scsi-linux-sg.c 1.33
	* scsi-linux-pg.c 1.14
	* scsi-hpux.c 1.12
	* scsi-bsd.c 1.22
	* scsi-bsd-os.c 1.8
	* scsi-beos.c 1.4
	* scsi-aix.c 1.14
	  scg_maxdma removed
	  scsi_running/scsi_command -> SCSI * struct

Sat Aug  7 21:05:51 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.10
	  scsi_close() new

Sun Aug  1 22:08:46 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.14
	  WRITER_MAXWAIT & READER_MAXWAIT -> 240s for SAO SCSI Timeout
	  usleep() debug code

Sun Aug  1 17:14:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.41
	  Better documentation for -multi Option (DAO mode)

Sun Aug  1 17:05:30 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.82
	  -msinfo now works even if drive is in DAO mode
	  Now corrects trackstart values for second session in DAO Mode

Sun Aug  1 16:51:35 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.33
	* drv_simul.c 1.11
	* drv_philips.c 1.30
	* drv_mmc.c 1.41
	* drv_jvc.c 1.42
	* drv_dvd.c 1.35
	  speedp == 0 allowed if speed should remain as is

Sun Aug  1 16:10:40 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.32
	* drv_simul.c 1.10
	* drv_mmc.c 1.40
	* drv_jvc.c 1.41
	* drv_dvd.c 1.34
	  recovery_needed()/recover()/reserve_track() References to Philips driver removed

Sun Aug  1 16:02:03 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.29
	* scsi_cdr.c 1.75
	* cdr_drv.c 1.16
	* cdrecord.h 1.52
	  Several functions scsi_cdr.c -> drv_philips.c
	  new function cmd_ill() 

Sun Aug  1 13:25:42 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_dvd.c 1.33
	  phys_end in dvd_structure_00 may be 0 for empty session

Sun Jul 25 13:52:02 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.39
	  scsi_close() new
	  __scgp removed

Sun Jul 25 13:36:47 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.11
	* scsi-unixware.c 1.3
	* scsi-sgi.c 1.14
	* scsi-osf.c 1.6
	* scsi-sco.c 1.8
	* scsi-os2.c 1.4
	* scsi-next.c 1.11
	* scsi-linux-sg.c 1.32
	* scsi-linux-pg.c 1.13
	* scsi-hpux.c 1.11
	* scsi-bsd.c 1.21
	* scsi-bsd-os.c 1.7
	* scsi-beos.c 1.3
	* scsi-aix.c 1.13
	  scsi_close() new

Sun Jul 25 00:50:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.20
	  close_scsi() and scsi_smalloc()/scsi_sfree() new

Sat Jul 24 22:26:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.19
	  scsi_close() new

Sat Jul 24 22:25:39 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.9
	  last changes fro Mr. Heuser
	  Max Timeout corrected

Sat Jul 24 22:22:44 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-next.c 1.10
	  Kernel Driver is in undefined state if SCSI Bus is not valid -> bugfix & debug prints

Sat Jul 24 20:43:47 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.39
	  from BCD converson (debug) for Ricoh test
	  Trying to suppress error messages for newer MITSUMI ATAPI drives

Sat Jul 24 19:27:06 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.40
	   Better documentation for -pad/padsize=

Sat Jul 24 19:25:34 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.14
	  New manufacturer: OPTROM
			  AUDIO DISTRIBUTORS
			  Acer Media Technology 

Sat Jul 24 19:23:49 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.81
	  -> 1.8a24 & write_buf() Test Code

Sat Jul 24 19:19:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.80
	  Check HAVE_SETPRIORITY and HAVE_NICE

Sat Jul 24 19:17:30 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.79
	  Version -> 1.8a23
	  Signalhandler for wait time before burning
	  O_BINARY define for win32
	  setmode(TDIN, O_BINARY) for win32
	  track[] Array now MAX_TRACKS+2
	  Print Drive Buffer size and FIFO size
	  -force Flag to blank problematic CD-RW's
	  set sector size to 2k before burning for Plextor
	  set_speed...() now with speedp Parameter to allow MMC to send back actual values
	  DAO for MMC
	  new Options -atip/-useinfo/-force/-dao/mcn=text/isrc=text/index=list
	  first Test for continuous Drive buffer cap printouts
	  set_secsize() new (for Plextor & DAO)
	  EMX Wildcard expansion for OS/2
	  Timeout for DAO -> minimal 200s
	  print_toc() \ removed for K&R C
	  print_toc() with CD-Text
	  DosSetPriority() now korrectly doing delta
	  setpregaps() sets values for lead-in/out
	  checktsize() checks for DAO

Sun Jul 18 14:39:31 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.51
	* scsi_cdr.c 1.74
	  open_scsi() -> libscg

Sat Jul 17 15:54:11 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.38
	   MAX DMA for Solaris x86 from 32k -> 56k
	  scsierr() checks for sense[0] != 0
	  scsi_sense_{key!code!qual} return 0 if scsierr() == FALSE

Sat Jul 17 15:37:00 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.h 1.18
	  open_scsi() for scsiopen.c new

Mon Jun 28 01:11:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-pg.c 1.12
	  set CDB to 0 past cdb_len

Sun Jun  6 19:41:11 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.28
	  CDR_SWABAUDIO for pioneer_dws114x

Sun Jun  6 19:40:29 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.13
	  get_mode_params() now return FALSE if has_mode_page() returns FALSE

Sun Jun  6 19:39:02 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.73
	  Hack for NT-4.0 ASPI ISE inquiry fake (bug in add_len)
	  workaround for Ricoh NOT_READY key in get Mode page 2A

Thu May 13 16:55:13 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.10
	  #define for format to avoid hiding messages
	  Now uses dlopen()
	  ha_inquiry() new
	  better paraeters in scsi_open() 
	  SRB_HaID/SRB_HaId unified

Thu May 13 15:07:36 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.72
	  check scsi_open() return code for < 0

Thu May 13 15:00:48 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.12
	  Cast for ANSI C comparison

Thu May 13 15:00:07 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.31
	  Cast for ANSI C
	  fixed typo in error texts

Thu May 13 14:31:50 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_jvc.c 1.40
	  mods for ANSI C comparison

Thu May 13 14:31:12 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.39
	  New Options -atip and index= 

Thu May 13 12:00:58 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsierrs.c 2.21
	  field_ptr now correctly used for progress printing on NOT_READY

Wed May 12 01:42:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-os2.c 1.3
	  -scanbus support

Wed May 12 01:01:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.27
	* scsi_cdr.c 1.71
	* cdr_drv.c 1.15
	* scsidefs.h 1.21
	  DEV_RICOH_RO_1060C new (preliminary)

Mon May  3 01:30:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.9
	  changed names and indented
	  WBOOL definition to distinguish BOOL from Windows.h and BOOL from standard.h
	  busses new
	  compare busno with busses
	  Debug File removed
	  EventStatus as result of WaitForSingleObject()
	  set_error() new for correct error codes
	  scsiabort() new

Tue Apr 27 23:11:59 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.8
	  Debug File removed

Tue Apr 27 21:06:48 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.7
	  -scanbus now works
	  file matrix removed
	  check for nuber of SCSI Busses

Mon Apr 26 22:37:40 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.6
	  Try to implement -scanbus 

Mon Apr 26 22:36:00 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.5
	  sp->u_scb.cmd_scb[0] = s.SRB_Status -> sp->u_scb.cmd_scb[0] = s.SRB_TargStat
	  error code SCG_FATAL -> SCG_RETRYABLE

Mon Apr 26 22:35:00 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.4
	  Indented II

Mon Apr 26 22:34:15 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.3
	  Indented

Mon Apr 26 22:33:41 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.2
	  Better comment

Mon Apr 26 22:32:32 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-wnt.c 1.1
	  date and time created 99/04/26 21:32:32 by joerg

Sun Apr 25 09:48:05 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.50
	  is_copy()/is_scms() new
	  TI_COPY/TI_SCMS new
	  read_subchannel() new
	  pr_manufacturer()/disk_rcap() with rw/audio Parameters

Sun Apr 25 09:46:03 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.38
	  clear -dummy status by clearin -dummy state
	  COPY & SCMS handling

Sat Apr 24 14:10:19 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.13
	* drv_mmc.c 1.37
	  pr_manufacturer()/disk_rcap() now using rw and audio Parameter

Sat Apr 24 14:05:48 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.26
	  pr_manufacturer()/disk_rcap() now using rw and audio Parameter
	  Printing of ATIP "restricted"

Sat Apr 24 14:04:38 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.30
	  pr_manufacturer()/disk_rcap() now using rw and audio Parameter
	  printf() Format (%l..)

Sat Apr 24 14:02:11 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.70
	  read_subchannel() new

Sat Apr 24 13:03:56 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.21
	  scsi-wnt.c new

Sun Apr 18 21:04:15 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.1
	  date and time created 99/04/18 20:04:15 by joerg

Sun Apr 18 19:56:45 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.29
	* drv_simul.c 1.9
	* drv_philips.c 1.25
	* drv_mmc.c 1.36
	* drv_jvc.c 1.39
	* cdr_drv.c 1.14
	* drv_dvd.c 1.32
	* cdrecord.h 1.49
	  New driver function cdr_send_cue

Sun Apr 18 19:28:03 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_jvc.c 1.38
	  g6 & g7 test functions

Sun Apr 18 18:40:56 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.48
	  index= Option new

Sun Apr 18 18:40:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.35
	  index= Option new

Sun Apr 18 00:42:59 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.47
	  New Flags F_SAO/F_WRITE/F_PREGAP/F_FORCE
	  isrc in struct track
	  is_tao()/is_pregap() new
	  ds_cdrflags in struct disk_status
	  cdr_buffer_cap in struct cdr_cmd
	  cdr_set_speed_dummy with *speedp - to allow mmc to return value
	  Functions for auinfo.c

Sun Apr 18 00:18:30 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-sg.c 1.31
	  MAX_SCG & MAX_TGT -> 16
	  Debug function for printing buscookies[] and scgfiles[][][]
	  sg_mapbus() now with Bus Parameter and spcial handling for holes in buscookies[]
	  sg_setup() doing range check
	  better handling of Status byte in extended Code for mk2 Interface

Sun Apr 18 00:09:52 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-linux-pg.c 1.11
	  Search slot for PP Bus backwards, as buscookies[] may have holes

Sat Apr 17 22:12:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_jvc.c 1.37
	  New Function in Driver table to read Buffer capacity
	   buf_cap_teac(), read_peak_buffer_cap_teac (), buffer_inquiry_teac(), check_buffer_teac() new

Sat Apr 17 19:32:41 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_scan.c 1.5
	  Enhancements for 16 SCSI busses and 17 Targets/Bus

Sat Apr 17 19:29:25 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdr_drv.c 1.13
	  buf_dummy() new
	  New Function in Driver table to read Buffer capacity

Sat Apr 17 19:28:27 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.28
	* drv_mmc.c 1.34
	* drv_philips.c 1.24
	* drv_simul.c 1.8
	* drv_dvd.c 1.31
	  New Function in Driver table to read Buffer capacity

Sat Apr 17 19:25:47 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.27
	  Workaround for CDU 620 (can not read lead-in Start time)

Sat Apr 17 18:57:36 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.37
	  MAX_SCG & MAX_TGT -> 16
	  Workaround for /dev/scg if Target > 7

Sat Apr 17 18:55:26 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-bsd-os.c 1.6
	* scsi-vms.c 1.8
	* scsi-unixware.c 1.2
	* scsi-sgi.c 1.13
	* scsi-sco.c 1.7
	* scsi-osf.c 1.5
	* scsi-os2.c 1.2
	* scsi-next.c 1.9
	* scsi-hpux.c 1.10
	* scsi-bsd.c 1.20
	* scsi-aix.c 1.12
	  MAX_SCG & MAX_TGT -> 16

Sat Apr 17 18:47:39 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-next.c 1.8
	  scsi_setup() & scsi_havebus() with scgp Pointer (bug)

Sat Apr 17 17:09:00 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsitransp.c 1.36
	  limit SunOS 4.x maxdma to 64k-1

Sat Apr 17 13:14:24 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.38
	  -force flag and -useinfo new

Tue Apr 13 01:29:14 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.12
	  m_seantram Index 28 (typo) -> 83

Tue Apr 13 01:06:45 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* modes.c 1.11
	  Test in has_mode_page() if desired page is really available for JVC 2080 FW Bug

Fri Apr  9 20:49:08 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_jvc.c 1.36
	  speed -> *speedp Parameter in speed_select()

Fri Apr  9 01:03:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.69
	* drv_dvd.c 1.30
	* audiosize.c 1.12
	  Signed/unsiged comparisons with cast

Fri Apr  9 00:46:07 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsilog.c 1.7
	  cast for comparing unsigned > int

Fri Apr  9 00:33:17 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.68
	  read_buff_cap() Ulong -> int

Fri Apr  9 00:32:35 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.11
	  New manufacturer: "Woongjin Media corp"
			 "INFODISC Technology Co., Ltd."
			 "UNITECH JAPAN INC."
			 "AMS Technology Inc."

Tue Apr  6 22:08:31 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_mmc.c 1.33
	  speed -> *speedp Parameter in speed_select()
	  Read write speed Auslesen and set *speedp
	  Test for dsp->ds_cdrflags & RF_WRITE
	  first DAO enhancements

Tue Apr  6 22:05:25 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.67
	  speed -> *speedp Parameter IN speed_select()
	  read_buffer() WITH mode Parameter
	  scsi_get_speed() new
	  read_buff_cap() prints Data if sp && fp == NULL and avoids division by 0
	  read_cdtext() new
	  Workaround for Philips CDD-522 cannot do read TOC MSN

Tue Apr  6 01:15:52 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.23
	  speed -> *speedp Parameter in speed_select()
	  Test for dsp->ds_cdrflags & RF_WRITE

Tue Apr  6 01:13:14 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.26
	  ATIP Support

Fri Apr  2 16:06:31 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.10
	  "Seantram Technology Inc." new (guess)

Fri Apr  2 15:50:28 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_sony.c 1.25
	* drv_simul.c 1.7
	* drv_dvd.c 1.29
	  speed -> *speedp Parameter in speed_select()

Sun Mar 28 15:31:56 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsimmc.h 1.4
	  struct mmc_cue new

Sun Mar 28 15:29:43 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.37
	  -dao and -audio default for .au & .wav

Fri Mar 12 02:05:58 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* auinfo.c 1.1
	  date and time created 99/03/12 02:05:58 by joerg

Sun Mar  7 22:30:42 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.13
	  roundup(bufsize, pagesize) to make each Segment page aligned

Wed Mar  3 23:45:20 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.9
	  New manufacturers: vanguard, grandadv, taeil, kingpro, digitalstor

Wed Mar  3 22:58:38 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskid.c 1.8
	  New RCAP Liste

Sat Feb 20 00:00:44 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.66
	  read_buffer() new
	  timeout for read_toc_philips() -> 240s for TEAC
	  read_master_cue() new
	  send_cue_sheet() new
	  read_buff_cap() new

Sun Jan 31 22:37:38 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* wm_packet.c 1.11
	* cdrecord.c 1.78
	  carriage Return to beginning of Track... Strings to make error message not overwrite position

Sun Jan 31 19:50:01 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.77
	  ignore dev= values from /etc/default/cdrecord for -scanbus

Sun Jan 31 19:23:53 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi_cdr.c 1.65
	  Suport for ACER CR-4020C

Sun Jan 31 19:23:05 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* drv_philips.c 1.22
	  scgp->inq->ansi_version = 1; -> scgp->inq->data_format = 1; to make Plasmon RF-4100 work again

Sun Jan 31 18:55:45 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.36
	  Hint for SVr4 and POSIX Realtime scheduler

Sun Jan 31 18:49:06 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-bsd.c 1.19
	  scsi_maxdma() from MAXPHYS -> DFLTPHYS

Sat Dec 12 12:36:09 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-beos.c 1.2
	  sccsid[] -> __sccsid[]

Sun Dec  6 13:16:25 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-beos.c 1.1
	  date and time created 98/12/06 13:16:25 by joerg

Sun Dec  6 12:41:50 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsihack.c 1.20
	  BeOS new

Sun Dec  6 12:41:30 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi-vms.c 1.7
	  New Version past phone call with vaxinf@CHCLU.CHEMIE.UNI-KONSTANZ.DE

Sun Dec  6 12:10:54 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.1 1.35
	  FreeBSD device name bug
	  New address for Mailing List
	  Documentation of /etc/default/cdrecord

Sat Dec  5 13:46:27 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.c 1.76
	  HAVE_SYS_RESOURCE_H new (BeOS)
	  1.8a13 -> 1.8a14
	  cdr_defaults() new

Sat Dec  5 13:38:16 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cdrecord.h 1.46
	  default.c/cdr_defaults() new

Sun Nov 29 19:40:50 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
